Modify

Opened 8 years ago

Last modified 23 months ago

#6411 reopened defect

ATH9K kernel warning

Reported by: newvisionantenna Owned by: nbd
Priority: response-needed Milestone: Barrier Breaker 14.07
Component: packages Version: Trunk
Keywords: ath9k Cc:

Description

I never noticed this warning using the compat-wireless prior to this recent version. It doesn't seem to be effecting anything, but since I have no idea why/what it's trying to say I can't be certain. This is using a 2.6.28 kernel.

compat-wireless-2009-12-05/net/mac80211/rx.c:2504 ()
Dec 24 14:56:51 700 user.warn kernel: Rate marked as an HT rate but passed statu s->rate_idx is not an MCS index [0-76]: 126 (0x7e)
Dec 24 14:56:51 700 user.warn kernel: Modules linked in: sch_htb uvcvideo videod ev compat_ioctl32 v4l1_compat v4l2_common usb_storage usblp uhci_hcd ohci_hcd at h_pci wlan_xauth wlan_wep wlan_tkip wlan_ccmp wlan_acl ath_rate_minstrel ath_hal (P) wlan_scan_sta wlan_sc
Dec 24 14:56:51 700 user.warn kernel: Call Trace:[<8008682c>] 0x8008682c
Dec 24 14:56:51 700 user.warn kernel: [<8006f908>] 0x8006f908
Dec 24 14:56:51 700 user.warn kernel: [<8006f908>] 0x8006f908
Dec 24 14:56:51 700 user.warn kernel: [<8008593c>] 0x8008593c
Dec 24 14:56:51 700 user.warn kernel: [<c03297dc>] 0xc03297dc
Dec 24 14:56:51 700 user.warn kernel: [<c0389f9c>] 0xc0389f9c
Dec 24 14:56:51 700 user.warn kernel: [<c0329bb0>] 0xc0329bb0
Dec 24 14:56:51 700 user.warn kernel: [<800b5640>] 0x800b5640
Dec 24 14:56:51 700 user.warn kernel: [<8007073c>] 0x8007073c
Dec 24 14:56:51 700 user.warn kernel: [<c02de040>] 0xc02de040
Dec 24 14:56:51 700 user.warn kernel: [<800b588c>] 0x800b588c
Dec 24 14:56:51 700 user.warn kernel: [<8009e044>] 0x8009e044
Dec 24 14:56:51 700 user.warn kernel: [<c02de040>] 0xc02de040
Dec 24 14:56:51 700 user.warn kernel: [<c0204814>] 0xc0204814
Dec 24 14:56:51 700 user.warn kernel: [<c02de040>] 0xc02de040
Dec 24 14:56:51 700 user.warn kernel: [<801b5460>] 0x801b5460
Dec 24 14:56:51 700 user.warn kernel: [<c035f08c>] 0xc035f08c
Dec 24 14:56:51 700 user.warn kernel: [<c038d350>] 0xc038d350
Dec 24 14:56:51 700 user.warn kernel: [<c038d094>] 0xc038d094
Dec 24 14:56:51 700 user.warn kernel: [<c03297dc>] 0xc03297dc
Dec 24 14:56:51 700 user.warn kernel: [<c0389dec>] 0xc0389dec
Dec 24 14:56:51 700 user.warn kernel: [<8008af60>] 0x8008af60
Dec 24 14:56:51 700 user.warn kernel: [<8008a9f8>] 0x8008a9f8
Dec 24 14:56:51 700 user.warn kernel: [<800ad868>] 0x800ad868
Dec 24 14:56:51 700 user.warn kernel: [<80060c4c>] 0x80060c4c
Dec 24 14:56:51 700 user.warn kernel: [<8008aae4>] 0x8008aae4
Dec 24 14:56:51 700 user.warn kernel: [<80060c4c>] 0x80060c4c
Dec 24 14:56:51 700 user.warn kernel: [<80060e20>] 0x80060e20
Dec 24 14:56:51 700 user.warn kernel: [<8006c4b8>] 0x8006c4b8
Dec 24 14:56:51 700 user.warn kernel: [<80060e40>] 0x80060e40
Dec 24 14:56:51 700 user.warn kernel:
Dec 24 14:56:51 700 user.warn kernel: ---[ end trace edbab1ad0861d904 ]---

Attachments (2)

debug-ath9k.patch (1.4 KB) - added by vquicksilver 4 years ago.
722-debug-ath9k.patch (1.5 KB) - added by vquicksilver 4 years ago.
ath9k debug patch based on https://bugzilla.kernel.org/attachment.cgi?id=29972&action=diff

Download all attachments as: .zip

Change History (148)

comment:1 Changed 8 years ago by anonymous

Same error hear on WR1043ND using r19581

------------[ cut here ]------------
WARNING: at /root/openwrt/trunk_0001/trunk/build_dir/linux-ar71xx/compat-wireless-2010-02-02/net/mac80211/rx.c:2466 0x81fd4b68()
Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
Modules linked in: usb_storage snd_usb_audio snd_usb_lib xt_ipp2p xt_iprange xt_HL xt_hl xt_MARK ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length ipt_ecn xt_DSCP xt_dscp xt_string xt_layer7 xt_quota xt_pkttype ipt_REDIRECT ipt_NETMAP ipt_MASQUERADE iptable_nat nf_nat xt_CONNMARK xt_recent xt_helper xt_conntrack xt_connmark xt_connbytes xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd sd_mod ipt_REJECT xt_TCPMSS ipt_LOG xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ext2 ext3 jbd snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_rawmidi snd_seq_device snd_hwdep snd_page_alloc snd soundcore ppp_async vfat fat ath9k ath9k_common ath9k_hw ath nls_utf8 nls_iso8859_1 nls_cp437 usbcore ts_fsm ts_bm ts_kmp scsi_mod nls_base mac80211 cfg80211 pppoe pppox ppp_generic compat_firmware_class compat crc_ccitt slhc arc4 aes_generic deflate ecb cbc leds_gpio button_hotplug gpio_buttons input_polldev input_core
Call Trace:[<80068354>] 0x80068354
[<80068354>] 0x80068354
[<8007cce8>] 0x8007cce8
[<81fd4b68>] 0x81fd4b68
[<8007cd68>] 0x8007cd68
[<800d4010>] 0x800d4010
[<81fd4b68>] 0x81fd4b68
[<801d9628>] 0x801d9628
[<81ff4084>] 0x81ff4084
[<80c25800>] 0x80c25800
[<8008df58>] 0x8008df58
[<80c4230c>] 0x80c4230c
[<80c246dc>] 0x80c246dc
[<80081d18>] 0x80081d18
[<800a7a70>] 0x800a7a70
[<8008250c>] 0x8008250c
[<800825ec>] 0x800825ec
[<8006082c>] 0x8006082c
[<80060a00>] 0x80060a00
[<8006b5ec>] 0x8006b5ec
[<8006c94c>] 0x8006c94c
[<80060a20>] 0x80060a20
[<802b8a48>] 0x802b8a48
[<802b83a8>] 0x802b83a8

---[ end trace 8356ba656050b69d ]---

comment:2 Changed 8 years ago by thepeople

Please test to see if the works on the latest trunk.

comment:3 Changed 8 years ago by thepeople

  • Owner changed from developers to nbd
  • Status changed from new to assigned

comment:4 Changed 8 years ago by nbd

  • Status changed from assigned to accepted

while this warning does not look pretty, it shouldn't cause any issues. i will fix this bug as soon as i get some details from atheros on what's causing it.

comment:5 follow-up: Changed 8 years ago by openwrt@…

I just had the same bug on my wndr3700, backfire 10.03 r20979

WARNING: at /root/kamikaze_8.09/wndr3700/backfire/build_dir/linux-ar71xx/compat-wireless-2010-03-24/net/mac80211/rx.c:2528 0x830d66dc()
Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 86 (0x56)

comment:6 in reply to: ↑ 5 Changed 8 years ago by anonymous

Replying to openwrt@…:

I just had the same bug on my wndr3700, backfire 10.03 r20979

WARNING: at /root/kamikaze_8.09/wndr3700/backfire/build_dir/linux-ar71xx/compat-wireless-2010-03-24/net/mac80211/rx.c:2528 0x830d66dc()
Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 86 (0x56)

comfirmed. wndr3700, backfire 10.03 rr21065

WARNING: at /home/gaochao/tmp/openwrt/trunk/build_dir/linux-ar71xx/compat-wireless-2010-04-16/net/mac80211/rx.c:2574 0x83115ac8()
Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 80 (0x50)
Modules linked in: usb_storage usblp nf_nat_tftp nf_conntrack_tftp nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp xt_HL xt_hl xt_MARK ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length ipt_ecn xt_DSCP xt_dscp xt_IMQ xt_string xt_layer7 ipt_MASQUERADE iptable_nat nf_nat xt_CONNMARK xt_recent xt_helper xt_conntrack xt_connmark xt_connbytes xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd sd_mod pppoe pppox sch_red sch_sfq ipt_REJECT sch_hfsc xt_TCPMSS cls_fw ipt_LOG imq xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables tun ppp_async ppp_generic slhc vfat fat ntfs autofs4 ath9k ath9k_common ath9k_hw ath mac80211 usbcore ts_fsm ts_bm ts_kmp scsi_mod nls_base crc_ccitt cfg80211 compat_firmware_class compat arc4 aes_generic deflate ecb cbc leds_gpio button_hotplug gpio_buttons input_polldev input_core
Call Trace:[<80068394>] 0x80068394

comment:7 Changed 8 years ago by openwrt@…

My router just reboot right after this bug. Sometimes the bug occurs and the router doesn't reboot however.

comment:8 Changed 8 years ago by nbd

I don't think this warning causes the reboot

comment:9 Changed 8 years ago by nbd

  • Resolution set to fixed
  • Status changed from accepted to closed

fixed in r21454

comment:10 Changed 8 years ago by openwrt@…

  • Resolution fixed deleted
  • Status changed from closed to reopened

Hi
I just got the bug again with r21503 so I don't think it is fixed.

WARNING: at /root/kamikaze_8.09/wndr3700/trunk/build_dir/linux-ar71xx_generic/compat-wireless-2010-05-12/net/mac80211/rx.c:2578 0x830d6dfc()
kernel: Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 108 (0x6c)

comment:11 Changed 8 years ago by solca

With r21649 mac80211 backport I get this in backfire even with HT disabled:

------------[ cut here ]------------
WARNING: at /home/solca/devel/openwrt/backfire/build_dir/linux-ar71xx/compat-wireless-2010-05-24/net/mac80211/rx.c:2578 ieee80211_rx+0x128/0xa3c [mac80211]()
Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 127 (0x7f)
Modules linked in: evdev ebt_ip ebt_arp ebtable_filter ebtables x_tables ath9k ath9k_common ath9k_hw ath mac80211 cfg80211 compat_firmware_class compat arc4 aes_generic deflate ecb cbc leds_gpio button_hotplug gpio_buttons input_polldev input_core
Call Trace:
[<8006837c>] dump_stack+0x8/0x34
[<8007ce84>] warn_slowpath_common+0x70/0xb0
[<8007cf04>] warn_slowpath_fmt+0x24/0x30
[<81495f0c>] ieee80211_rx+0x128/0xa3c [mac80211]
[<815658e8>] ath_rx_tasklet+0xb48/0xc24 [ath9k]
[<81563ffc>] ath9k_tasklet+0xb8/0x168 [ath9k]
[<80081eb0>] tasklet_action+0x88/0xe4
[<800826a4>] __do_softirq+0xb0/0x148
[<80082784>] do_softirq+0x48/0x6c
[<8006082c>] ret_from_irq+0x0/0x4
[<80060a20>] r4k_wait+0x20/0x40
[<8006c84c>] cpu_idle+0x24/0x44
[<802dfa54>] start_kernel+0x348/0x360

---[ end trace 491ac8a280e2b873 ]---

/etc/config/wireless:

config 'wifi-device' 'radio0'
        option 'type' 'mac80211'
        option 'macaddr' '00:xx:xx:xx:xx:xx'
        option 'channel' '1'
        option 'txpower' '4'
        option 'hwmode' '11g'
        option 'disabled' '0'

config 'wifi-iface'
        option 'device' 'radio0'
        option 'network' 'lan'
        option 'mode' 'ap'
        option 'encryption' 'none'
        option 'ssid' 'xxx'

comment:12 Changed 8 years ago by solca

Another related WARNING:

------------[ cut here ]------------
WARNING: at /home/solca/devel/openwrt/backfire/build_dir/linux-ar71xx/compat-wireless-2010-05-24/include/net/mac80211.h:2605 rate_control_send_low+0xc4/0x178 [mac80211]()
Modules linked in: evdev ebt_ip ebt_arp ebtable_filter ebtables x_tables ath9k ath9k_common ath9k_hw ath mac80211 cfg80211 compat_firmware_class compat arc4 aes_generic deflate ecb cbc leds_gpio button_hotplug gpio_buttons input_polldev input_core
Call Trace:
[<8006837c>] dump_stack+0x8/0x34
[<8007ce84>] warn_slowpath_common+0x70/0xb0
[<8148f4dc>] rate_control_send_low+0xc4/0x178 [mac80211]
[<8156bf00>] ath_rate_control_unregister+0x970/0x1740 [ath9k]
[<8148f638>] rate_control_get_rate+0xa8/0x298 [mac80211]
[<81497f90>] ieee80211_pspoll_get+0xd54/0x1b9c [mac80211]

---[ end trace 96dff297d59adea6 ]---

comment:13 Changed 8 years ago by nbd

That last one is completely unrelated

comment:14 follow-up: Changed 7 years ago by nbd

  • Resolution set to fixed
  • Status changed from reopened to closed

I don't think the HT rate issue is happening anymore, I'll just mark it as fixed.

comment:15 in reply to: ↑ 14 ; follow-up: Changed 7 years ago by ipuustin

  • Resolution fixed deleted
  • Status changed from closed to reopened

I don't think the HT rate issue is happening anymore, I'll just mark it as fixed.

I've gotten this a few times recently, with a kernel compiled on trunk that was checked out on November 29. Reopening.

------------[ cut here ]------------
WARNING: at /home/ipuustin/tmp/src/OpenWrt/backfire/build_dir/linux-ar71xx/compat-wireless-2010-10-19/net/mac80211/rx.c:2847 0x830979f4()
Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 78 (0x4e)
Modules linked in: usb_storage usblp ip6t_REJECT ip6t_LOG ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6_queue ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_nat_tftp nf_conntrack_tftp nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd sd_mod pppoe pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables sit tunnel4 ext3 jbd ppp_async ppp_generic slhc ext4 jbd2 ath9k ath9k_common ath9k_hw ath mac80211 usbcore scsi_mod nls_base mbcache crc16 crc_ccitt cfg80211 compat_firmware_class compat arc4 aes_generic deflate ecb cbc ipv6 leds_gpio button_hotplug gpio_buttons input_polldev input_core
Call Trace:[<80068374>] 0x80068374
[<80068374>] 0x80068374
[<8007cf1c>] 0x8007cf1c
[<830979f4>] 0x830979f4
[<8007cf9c>] 0x8007cf9c
[<800d4fcc>] 0x800d4fcc
[<830979f4>] 0x830979f4
[<83bdc038>] 0x83bdc038
[<801dedc0>] 0x801dedc0
[<830c69b8>] 0x830c69b8
[<830c01fc>] 0x830c01fc
[<83bdc634>] 0x83bdc634
[<83bdc634>] 0x83bdc634
[<830c4c54>] 0x830c4c54
[<80082168>] 0x80082168
[<800a8198>] 0x800a8198
[<8008295c>] 0x8008295c
[<80082a3c>] 0x80082a3c
[<8006082c>] 0x8006082c
[<80060a00>] 0x80060a00
[<8006b2bc>] 0x8006b2bc
[<8006c75c>] 0x8006c75c
[<80060a20>] 0x80060a20
[<802c1a54>] 0x802c1a54
[<802c13a8>] 0x802c13a8

---[ end trace 202e4e848e52179c ]---

comment:16 Changed 7 years ago by nbd

  • Resolution set to fixed
  • Status changed from reopened to closed

That version had a few descriptor parsing issues. Should be gone in latest.

comment:17 in reply to: ↑ 15 Changed 7 years ago by Zajec

Replying to ipuustin:

I don't think the HT rate issue is happening anymore, I'll just mark it as fixed.

I've gotten this a few times recently, with a kernel compiled on trunk that was checked out on November 29. Reopening.

I just got that warning on my WRT160NL with Backfire 10.03.1-rc4.

WARNING: at /home/openwrt/backfire/build/ar71xx/build_dir/linux-ar71xx/compat-wireless-2010-03-24/net/mac80211/rx.c:2528 0x814d5884()
Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)

nbd already said it should be fixed now, just wanted to point it wasn't only issue for you.

comment:18 Changed 7 years ago by tuigje

  • Resolution fixed deleted
  • Status changed from closed to reopened

It still occurs with a build from SVN @26186:

WARNING: at /home/thijs/openwrt/backfire/build_dir/linux-ar71xx/compat-wireless
-2011-02-25/net/mac80211/rx.c:2944 0x835d911c()
Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76
]: 77 (0x4d)
Modules linked in: usb_storage xt_IMQ imq nf_nat_tftp nf_conntrack_tftp nf_nat_
irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp xt_HL xt_hl xt_MARK ipt_ECN xt
_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length ipt_ecn xt_DSCP xt_d
scp xt_string xt_layer7 ipt_MASQUERADE iptable_nat nf_nat xt_CONNMARK xt_recent
 xt_helper xt_conntrack xt_connmark xt_connbytes xt_NOTRACK iptable_raw xt_stat
e nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd sd_mod ipt_REJECT xt_T
CPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_fi
lter ip_tables xt_tcpudp x_tables ext2 ext3 jbd tun ath9k ath9k_common ath9k_hw
 ath mac80211 usbcore ts_fsm ts_bm ts_kmp scsi_mod nls_base crc_ccitt cfg80211
compat_firmware_class compat arc4 aes_generic deflate ecb cbc leds_gpio button_

comment:19 Changed 7 years ago by nbd

How frequent does this issue occur in your tests? Is it easy to reproduce?

comment:20 Changed 7 years ago by nicefile

@r26786 error is very reproductive .Client is AR9280 in M$. And seems not happening on Nokia N79 802.11g connection

WARNING: at /opt/projekty/openwrt/ar71xx-backfire/build_dir/linux-ar71xx/compat-wireless-2011-04-19/net/mac80211/rx.c:2956 0x831194e8()
Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)
Modules linked in: fuse ledtrig_usbdev nf_nat_tftp nf_conntrack_tftp nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async vfat fat ath9k ath9k_common ath9k_hw ath nls_iso8859_1 nls_cp437 mac80211 pppoe pppox ppp_generic crc_ccitt slhc cfg80211 compat_firmware_class compat arc4 aes_generic deflate ecb cbc usb_storage ehci_hcd sd_mod ext2 ext3 jbd ext4 jbd2 usbcore scsi_mod nls_base mbcache crc16 leds_gpio button_hotplug gpio_buttons input_polldev input_core
Call Trace:[<80087c88>] 0x80087c88
[<80069250>] 0x80069250
[<80069250>] 0x80069250
[<80087290>] 0x80087290
[<831194e8>] 0x831194e8
[<80087310>] 0x80087310
[<800e0a98>] 0x800e0a98
[<831194e8>] 0x831194e8
[<8306c080>] 0x8306c080
[<801f4730>] 0x801f4730
[<830a6fa8>] 0x830a6fa8

[<8306c68c>] 0x8306c68c
[<8306c68c>] 0x8306c68c
[<830a5264>] 0x830a5264
[<8008c4e4>] 0x8008c4e4
[<800b2430>] 0x800b2430
[<8008ccd8>] 0x8008ccd8
[<8008cdb8>] 0x8008cdb8
[<8006082c>] 0x8006082c
[<80060a00>] 0x80060a00
[<8006c194>] 0x8006c194
[<8006d634>] 0x8006d634
[<80060a20>] 0x80060a20
[<802eca54>] 0x802eca54
[<802ec3a8>] 0x802ec3a8

---[ end trace 1d0e17b40b5d7ea1 ]---

comment:21 Changed 7 years ago by taliz

I installed a fresh backfire 10.3 on a TP-link TL-WR1043nd a few days ago. The router seems to reboot every now and then since, and the wireless dies every now and then as well. The output below is from dmesg, and /etc/config/wireless.

root@OpenWrt:~# cat /etc/config/wireless

config 'wifi-device' 'radio0'

option 'type' 'mac80211'
option 'macaddr' '00:27:19:fc:90:ba'
list 'ht_capab' 'SHORT-GI-40'
list 'ht_capab' 'DSSS_CCK-40'
option 'disabled' '0'
option 'hwmode' '11ng'
option 'htmode' 'HT20'
option 'txpower' '27'
option 'channel' '5'

config 'wifi-iface'

option 'device' 'radio0'
option 'ssid' 'blerf'
option 'network' 'lan'
option 'mode' 'ap'
option 'encryption' 'psk2'
option 'key' 'blarf'


WARNING: at /home/openwrt/backfire/build/ar71xx/build_dir/linux-ar71xx/compat-wireless-2010-03-24/net/mac80211/rx.c:2528 0x80c15884()
Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 78 (0x4e)
Modules linked in: nf_nat_tftp nf_conntrack_tftp nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppoe pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 crc_ccitt cfg80211 compat_firmware_class compat arc4 aes_generic deflate ecb cbc leds_gpio button_hotplug gpio_buttons input_polldev input_core
Call Trace:[<8007d338>] 0x8007d338
[<800683c4>] 0x800683c4
[<800683c4>] 0x800683c4
[<8007cb6c>] 0x8007cb6c
[<802164d4>] 0x802164d4
[<80c15884>] 0x80c15884
[<8007cbec>] 0x8007cbec
[<801ea8cc>] 0x801ea8cc
[<80c15884>] 0x80c15884
[<802164d4>] 0x802164d4
[<801e1ed8>] 0x801e1ed8
[<81f6cc38>] 0x81f6cc38
[<81fe58b0>] 0x81fe58b0
[<80210b00>] 0x80210b00
[<81fe47d0>] 0x81fe47d0
[<80081b98>] 0x80081b98
[<800a7968>] 0x800a7968
[<8008238c>] 0x8008238c
[<81febd70>] 0x81febd70
[<81febd70>] 0x81febd70
[<8008246c>] 0x8008246c
[<8006082c>] 0x8006082c
[<80060a00>] 0x80060a00
[<81febd70>] 0x81febd70
[<8006b330>] 0x8006b330
[<8006c7d0>] 0x8006c7d0
[<80060a20>] 0x80060a20
[<802d1a48>] 0x802d1a48
[<802d13a8>] 0x802d13a8
[<81fec4ac>] 0x81fec4ac

---[ end trace e17215605108f46d ]---

comment:22 follow-up: Changed 7 years ago by anonymous

Here is from 10.03.1-rc4:


WARNING: at /home/openwrt/backfire/build/ar71xx/build_dir/linux-ar71xx/compat-wireless-2010-10-19/net/mac80211/rx.c:2847 0x83057a04()
Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
Modules linked in: ohci_hcd ath_pci ath_hal(P) nf_nat_tftp nf_conntrack_tftp nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppoe pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 usbcore nls_base crc_ccitt cfg80211 compat_firmware_class compat arc4 aes_generic deflate ecb cbc leds_gpio button_hotplug gpio_buttons input_polldev input_core
Call Trace:[<800683a4>] 0x800683a4
[<800683a4>] 0x800683a4
[<8007cfa4>] 0x8007cfa4
[<83057a04>] 0x83057a04
[<8007d024>] 0x8007d024
[<800d673c>] 0x800d673c
[<83057a04>] 0x83057a04
[<83bbc038>] 0x83bbc038
[<801e4c5c>] 0x801e4c5c
[<83be69bc>] 0x83be69bc
[<83bbcb2c>] 0x83bbcb2c
[<83bbcb2c>] 0x83bbcb2c
[<83be4c54>] 0x83be4c54
[<80082210>] 0x80082210
[<800a82e0>] 0x800a82e0
[<80082a08>] 0x80082a08
[<80082ae8>] 0x80082ae8
[<8006082c>] 0x8006082c
[<80060a00>] 0x80060a00
[<8006b304>] 0x8006b304
[<8006c7ac>] 0x8006c7ac
[<80060a20>] 0x80060a20
[<802d4a54>] 0x802d4a54
[<802d43a8>] 0x802d43a8

---[ end trace 179c476bc2692933 ]---

comment:23 follow-up: Changed 7 years ago by anonymous

I just got that warning on Backfire (10.03.1-RC5, r27608) MZK-W04NU:

user.err kernel: ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0

user.err kernel: ath: Could not stop RX, we could be confusing the DMA engine when we start RX up

user.err kernel: ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026040

user.err kernel: ath: Could not stop RX, we could be confusing the DMA engine when we start RX up

What's going up?

comment:24 in reply to: ↑ 23 Changed 7 years ago by anonymous

Replying to anonymous:

I just got that warning on Backfire (10.03.1-RC5, r27608) MZK-W04NU:

user.err kernel: ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0

user.err kernel: ath: Could not stop RX, we could be confusing the DMA engine when we start RX up

user.err kernel: ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026040

user.err kernel: ath: Could not stop RX, we could be confusing the DMA engine when we start RX up

What's going up?

Is this just benign message to ignore, anyone getting it too? At least it really bothers the logs:

dmesg:

ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026040
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026040
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026040
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026040
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026040
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026040
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
...

comment:25 in reply to: ↑ 22 Changed 7 years ago by anonymous

Now in the latest Trunk r27797 on MZK-W04NU:

kern.warn kernel: ------------[ cut here ]------------
kern.warn kernel: WARNING: at /home/openwrt/slave/ar71xx/build/build_dir/linux-ar71xx_generic/compat-wireless-2011-06-22/net/mac80211/rx.c:2916 0x80c59790()
kern.warn kernel: Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
kern.warn kernel: Modules linked in: sch_red sch_sfq sch_hfsc cls_fw sch_ingress act_mirred act_connmark em_u32 cls_u32 ifb ohci_hcd ledtrig_usbdev nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp xt_iprange xt_HL xt_hl ipt_ECN xt_CLASSIFY
kern.warn kernel: Call Trace:[<80267290>] 0x80267290
kern.warn kernel: [<80267290>] 0x80267290
kern.warn kernel: [<80074e70>] 0x80074e70
kern.warn kernel: [<80c59790>] 0x80c59790
kern.warn kernel: [<80074f24>] 0x80074f24
kern.warn kernel: [<800d0ae4>] 0x800d0ae4
kern.warn kernel: [<80c59790>] 0x80c59790

comment:26 Changed 6 years ago by anonymous

It's still present in r27832, at least once per week on light use with no WiFi clients connected:

Aug 21 05:29:46 ROUTER kern.warn kernel: ------------[ cut here ]------------
Aug 21 05:29:46 ROUTER kern.warn kernel: WARNING: at /home/openwrt/slave/ar71xx/build/build_dir/linux-ar71xx_generic/compat-wireless-2011-06-22/net/mac80211/rx.c:2916 0x80c59790()
Aug 21 05:29:46 ROUTER kern.warn kernel: Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
Aug 21 05:29:46 ROUTER kern.warn kernel: Modules linked in: ohci_hcd ledtrig_usbdev nf_nat_irc sch_red nf_conntrack_irc sch_sfq nf_nat_ftp sch_hfsc nf_conntrack_ftp xt_iprange cls_fw xt_HL sch_ingress xt_hl act_mirred act_connmark ipt_ECN em_u32 xt_CLASSIFY cls_u32 xt_
Aug 21 05:29:46 ROUTER kern.warn kernel: Call Trace:[<80267380>] 0x80267380
Aug 21 05:29:46 ROUTER kern.warn kernel: [<80267380>] 0x80267380
Aug 21 05:29:46 ROUTER kern.warn kernel: [<80074e70>] 0x80074e70
Aug 21 05:29:46 ROUTER kern.warn kernel: [<80c59790>] 0x80c59790
Aug 21 05:29:46 ROUTER kern.warn kernel: [<80074f24>] 0x80074f24
Aug 21 05:29:46 ROUTER kern.warn kernel: [<800d0ae4>] 0x800d0ae4
Aug 21 05:29:46 ROUTER kern.warn kernel: [<80c59790>] 0x80c59790
Aug 21 05:29:46 ROUTER kern.warn kernel: [<801cc39c>] 0x801cc39c
Aug 21 05:29:46 ROUTER kern.warn kernel: [<801ccb94>] 0x801ccb94
Aug 21 05:29:46 ROUTER kern.warn kernel: [<80ce7e48>] 0x80ce7e48
Aug 21 05:29:46 ROUTER kern.warn kernel: [<80ce5494>] 0x80ce5494
Aug 21 05:29:46 ROUTER kern.warn kernel: [<8007a274>] 0x8007a274
Aug 21 05:29:46 ROUTER kern.warn kernel: [<8007a624>] 0x8007a624
Aug 21 05:29:46 ROUTER kern.warn kernel: [<802eeef8>] 0x802eeef8
Aug 21 05:29:46 ROUTER kern.warn kernel: [<8007a82c>] 0x8007a82c
Aug 21 05:29:46 ROUTER kern.warn kernel: [<8006110c>] 0x8006110c
Aug 21 05:29:46 ROUTER kern.warn kernel: [<8006258c>] 0x8006258c
Aug 21 05:29:46 ROUTER kern.warn kernel: [<80062760>] 0x80062760
Aug 21 05:29:46 ROUTER kern.warn kernel: [<802eeef8>] 0x802eeef8
Aug 21 05:29:46 ROUTER kern.warn kernel: [<8006151c>] 0x8006151c
Aug 21 05:29:46 ROUTER kern.warn kernel: [<80063fcc>] 0x80063fcc
Aug 21 05:29:46 ROUTER kern.warn kernel: [<80062780>] 0x80062780
Aug 21 05:29:46 ROUTER kern.warn kernel: [<802ce8d0>] 0x802ce8d0
Aug 21 05:29:46 ROUTER kern.warn kernel: [<802eeef8>] 0x802eeef8
Aug 21 05:29:46 ROUTER kern.warn kernel: [<802ce21c>] 0x802ce21c
Aug 21 05:29:46 ROUTER kern.warn kernel: ---[ end trace d74d73be40bf73a7 ]---

comment:27 Changed 6 years ago by mikaelbrostrom

Hi there

hardware: tp-link 1043nd

i can confirm that it also happens on tplink 1043nd using subversion release 28078

comment:28 Changed 6 years ago by nbd

please try a later version

comment:29 Changed 6 years ago by Giuseppe Stolnicu <giuseppe_stolnicu@…>

tried r28203. Stil there.

comment:30 follow-up: Changed 6 years ago by nbd

please try r28301

comment:31 in reply to: ↑ 30 Changed 6 years ago by anonymous

Replying to nbd:

please try r28301

Still there on r28428

comment:32 Changed 6 years ago by nbd

How about r28772?

comment:33 Changed 6 years ago by nbd

  • Resolution set to no_response
  • Status changed from reopened to closed

comment:34 Changed 6 years ago by czajernia@…

For the sake of completeness:
I have been testing r29237 on two TL-WR1043ND devices for more than a week already
1) AP-only: no dmesg warnings (have had a lot of those every day before), no hiccups
2) AP+STA: no hiccups (previously losing WiFi connection to the router approx. once per day)

So this fix seem to have worked.
Thanks!

comment:35 Changed 6 years ago by anonymous

This changeset (28772) doesn't seem to have been backported to Backfire. Is it intended ? Some people using 10.03.1-rc6 seem to have the problem so would make sense to do so. Thanks.

comment:36 Changed 6 years ago by nbd

backfire was later updated to the mac80211 version from trunk (after 10.03.1-rc6)

comment:37 Changed 6 years ago by czajernia@…

  • Resolution no_response deleted
  • Status changed from closed to reopened

I am afraid that the problem still persists, just occurs slightly less frequently...

I can find the following message once around every other day:

ath: Failed to stop TX DMA, queues=0x001!
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026020
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up

And got the mentioned kernel warning once already:

WARNING: at /home/openwrt/slave/ar71xx/build/build_dir/linux-ar71xx_generic/compat-wireless-2011-11-15/net/mac80211/rx.c:3067 0x81bdbf20()
Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)

comment:38 Changed 6 years ago by openwrt@…

Same problem

WARNING: at /home/jow/devel/openwrt/10.03.1/ar71xx/build_dir/linux-ar71xx/compat-wireless-2011-11-15/net/mac80211/rx.c:3067 0x80c5c8ac()
Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
Modules linked in: ohci_hcd nf_nat_tftp nf_conntrack_tftp nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppoe pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 usbcore nls_base crc_ccitt cfg80211 compat arc4 aes_generic deflate ecb cbc leds_gpio button_hotplug gpio_buttons input_polldev input_core
Call Trace:[<80069378>] 0x80069378
[<80069378>] 0x80069378
[<8007e138>] 0x8007e138
[<80c5c8ac>] 0x80c5c8ac
[<8007e1b8>] 0x8007e1b8
[<800d7820>] 0x800d7820
[<80c5c8ac>] 0x80c5c8ac
[<81b48088>] 0x81b48088
[<801e8104>] 0x801e8104
[<81b8760c>] 0x81b8760c
[<81b83fa4>] 0x81b83fa4
[<800833ac>] 0x800833ac
[<800a9398>] 0x800a9398
[<80083ba4>] 0x80083ba4
[<80083c84>] 0x80083c84
[<8006082c>] 0x8006082c
[<80060a00>] 0x80060a00
[<8006c32c>] 0x8006c32c
[<8006d940>] 0x8006d940
[<80060a20>] 0x80060a20
[<802dea54>] 0x802dea54
[<802de3a8>] 0x802de3a8

root@tplink-ap:~# uname -a
Linux tplink-ap 2.6.32.27 #5 Wed Dec 21 01:59:33 CET 2011 mips GNU/Linux
root@tplink-ap:~# cat /etc/openwrt_
/etc/openwrt_release /etc/openwrt_version
root@tplink-ap:~# cat /etc/openwrt_release
DISTRIB_ID="OpenWrt"
DISTRIB_RELEASE="10.03.1"
DISTRIB_CODENAME="backfire"
DISTRIB_DESCRIPTION="OpenWrt Backfire 10.03.1"
root@tplink-ap:~# cat /etc/openwrt_version
10.03.1
root@tplink-ap:~#
root@tplink-ap:~# uname -a
Linux tplink-ap 2.6.32.27 #5 Wed Dec 21 01:59:33 CET 2011 mips GNU/Linux
root@tplink-ap:~# cat /etc/openwrt_
cat: can't open '/etc/openwrt_': No such file or directory
root@tplink-ap:~# cat /etc/openwrt_
/etc/openwrt_release /etc/openwrt_version
root@tplink-ap:~# cat /etc/openwrt_release
DISTRIB_ID="OpenWrt"
DISTRIB_RELEASE="10.03.1"
DISTRIB_CODENAME="backfire"
DISTRIB_DESCRIPTION="OpenWrt Backfire 10.03.1"
root@tplink-ap:~# cat /etc/openwrt_version
10.03.1
root@tplink-ap:~#
root@tplink-ap:~# cat /proc/cpuinfo
system type : Atheros AR9132 rev 2
machine : TP-LINK TL-WR1043ND

comment:39 Changed 6 years ago by baniaczek <jacek.banaszczyk@…>

I can confirm the same with rev @30012
TP-LINK TL-WR1043ND
OpenWrt Backfire 10.03.1


WARNING: at /home/cezary/projekty/openwrt/ar71xx-backfire/build_dir/linux-ar71xx/compat-wireless-2011-12-01/net/mac80211 /rx.c:3061 0x814dcaa8()
Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 78 (0x4e)
Modules linked in: fuse sg usblp ledtrig_usbdev sch_red xt_IMQ sch_sfq nf_nat_tftp sch_hfsc nf_conntrack_tftp cls_fw nf_ nat_irc nf_conntrack_irc imq nf_nat_ftp nf_conntrack_ftp xt_LED xt_HL xt_MARK ipt_ECN xt_CLASSIFY xt_hl xt_time xt_tcpms s xt_statistic xt_mark xt_length ipt_ecn xt_DSCP xt_dscp xt_string xt_layer7 ipt_MASQUERADE iptable_nat nf_nat xt_CONNMA RK xt_recent xt_helper xt_conntrack xt_connmark xt_connbytes xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag _ipv4 nf_conntrack pppoe pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptab le_filter ip_tables xt_tcpudp x_tables snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd_rawmidi snd_seq_device snd_hwdep snd_page_alloc snd soundcore ppp_async ppp_generic slhc vfat fat ath9k ath9k_common ath9k_hw ath nls_utf8 nls_iso8859_2 nls_iso8859_1 nls_cp852 nls_cp437 nls_cp1250 mac80211 ts_fsm ts_bm ts_kmp crc_ccitt cfg80211 compat arc4 aes_generic def late ecb cbc usb_storage ehci_hcd sd_mod ext2 ext3 jbd ext4 jbd2 usbcore scsi_mod nls_base mbcache crc16 leds_gpio butto n_hotplug gpio_buttons input_polldev input_core
Call Trace:[<80069378>] 0x80069378
[<80069378>] 0x80069378
[<8008757c>] 0x8008757c
[<814dcaa8>] 0x814dcaa8
[<800875fc>] 0x800875fc
[<814dcaa8>] 0x814dcaa8
[<814fc088>] 0x814fc088
[<801f5fc0>] 0x801f5fc0
[<815673b8>] 0x815673b8
[<81563d9c>] 0x81563d9c
[<8008c7d0>] 0x8008c7d0
[<800b271c>] 0x800b271c
[<8008cfc4>] 0x8008cfc4
[<8008d0a4>] 0x8008d0a4
[<8006082c>] 0x8006082c
[<80060a00>] 0x80060a00
[<8006c314>] 0x8006c314
[<8006d920>] 0x8006d920
[<80060a20>] 0x80060a20
[<802eea54>] 0x802eea54
[<802ee3a8>] 0x802ee3a8

---[ end trace a0121642787df3c2 ]---

comment:40 Changed 6 years ago by anonymous

r30753, Buffalo WZR-HP-G300NH

Config:

config wifi-device  radio0
        option type     mac80211
        option channel  2
        option macaddr  00:1d:73:b1:XX:XX
        option hwmode   11g
        option htmode   HT20
        option country  FI
        list ht_capab   SHORT-GI-40
        list ht_capab   DSSS_CCK-40
        # REMOVE THIS LINE TO ENABLE WIFI:
        option disabled 0

config wifi-iface
        option device   radio0
        option network  lan
        option mode     ap
        option ssid     XX
        option encryption psk2
        option key      XX

Dmesg:

[1620413.070000] ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006020
[1620413.080000] ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
[1620413.320000] ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026020
[1620413.330000] ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
[1620413.580000] ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026020
[1620413.590000] ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
[1620413.830000] ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00006020
[1620413.840000] ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
[1620414.080000] ath: Failed to stop TX DMA, queues=0x004!
[1620414.090000] ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026020
[1620414.100000] ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
[1696630.990000] ------------[ cut here ]------------
[1696631.000000] WARNING: at /home/openwrt/slave/ar71xx/build/build_dir/linux-ar71xx_generic/compat-wireless-2012-02-27/net/mac80211/rx.c:3104 0x83097a6c()
[1696631.010000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)
[1696631.020000] Modules linked in: option usb_wwan usbserial ohci_hcd ledtrig_usbdev nf_conntrack_netlink nfnetlink nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp xt_HL xt_hl ipt_ecn ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length xt_DSCP xt_dscp ipt_MASQUERADE iptable_nat nf_nat xt_recent xt_helper xt_connmark xt_connbytes xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppoe pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables tun ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base crc_ccitt cfg80211(O) compat(O) arc4 aes_generic crypto_algapi leds_gpio gpio_button_hotplug(O)
[1696631.090000] Call Trace:[<80278ab8>] 0x80278ab8
[1696631.100000] [<80278ab8>] 0x80278ab8
[1696631.100000] [<80074b54>] 0x80074b54
[1696631.110000] [<83097a6c>] 0x83097a6c
[1696631.110000] [<80074c08>] 0x80074c08
[1696631.110000] [<83097a6c>] 0x83097a6c
[1696631.120000] [<801d7f38>] 0x801d7f38
[1696631.120000] [<831683c0>] 0x831683c0
[1696631.120000] [<8009adc8>] 0x8009adc8
[1696631.130000] [<831656d8>] 0x831656d8
[1696631.130000] [<80079c00>] 0x80079c00
[1696631.130000] [<80300000>] 0x80300000
[1696631.140000] [<8007a130>] 0x8007a130
[1696631.140000] [<800a56c8>] 0x800a56c8
[1696631.150000] [<80300000>] 0x80300000
[1696631.150000] [<80300000>] 0x80300000
[1696631.150000] [<8007a338>] 0x8007a338
[1696631.160000] [<80062aac>] 0x80062aac
[1696631.160000] [<80062c80>] 0x80062c80
[1696631.160000] [<80300000>] 0x80300000
[1696631.170000] [<80070c94>] 0x80070c94
[1696631.170000] [<800644dc>] 0x800644dc
[1696631.180000] [<80062ca0>] 0x80062ca0
[1696631.180000] [<802e28c0>] 0x802e28c0
[1696631.180000] [<80304c18>] 0x80304c18
[1696631.190000] [<802e20dc>] 0x802e20dc
[1696631.190000]
[1696631.190000] ---[ end trace e1b98a47ed1147f3 ]---

comment:41 Changed 6 years ago by mihaivo@…

I'm having the same issues with my RouterStation Pro and TL-WN861N card.
I originally switched to dd-wrt because of this problem on the RC versions and the wireless was very stable. Are they using the same driver? Now that I switched back, the wireless dies every 1-2 days and I have to either restart the router or stop then restart the wireless

Anybody found the solution to this? In the meantime I switched the card from g+n to g only. Can someone point out a stable mini-pci wireless n card?

comment:42 follow-up: Changed 6 years ago by nbd

which version did you try?

comment:43 in reply to: ↑ 42 Changed 6 years ago by anonymous

Replying to nbd:

which version did you try?

I tried 10.03.1 final from here:

http://downloads.openwrt.org/backfire/10.03.1/ar71xx/openwrt-ar71xx-ubnt-rspro-squashfs-factory.bin

comment:45 Changed 6 years ago by a@…

Is that built from trunk? What does it have different and who "owns" that site?

Thanks

Mike

comment:46 Changed 6 years ago by nbd

it is a snapshot build of the backfire branch, it is maintained by the guy that also takes care of the release builds.

comment:47 Changed 6 years ago by anonymous

ath: Failed to stop TX DMA, queues=0x004!
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026020
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: Failed to stop TX DMA, queues=0x004!
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026020
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: Failed to stop TX DMA, queues=0x104!
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026020
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: Failed to stop TX DMA, queues=0x004!
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026020
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: Failed to stop TX DMA, queues=0x004!
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026020
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: Failed to stop TX DMA, queues=0x004!
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026020
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: Failed to stop TX DMA, queues=0x004!
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026020
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: Failed to stop TX DMA, queues=0x004!
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026020
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
ath: Failed to stop TX DMA, queues=0x004!
ath: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x00026020
ath: Could not stop RX, we could be confusing the DMA engine when we start RX up
------------[ cut here ]------------
WARNING: at /home/jow/devel/openwrt/10.03.1/ar71xx/build_dir/linux-ar71xx/compat-wireless-2011-11-15/net/mac80211/rx.c:3067 0x8309c8ac()
Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)
Modules linked in: fuse usb_storage cdc_acm ohci_hcd ath_pci ath_hal(P) xt_IMQ imq nf_nat_tftp nf_conntrack_tftp nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp xt_HL xt_hl xt_MARK ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length ipt_ecn xt_DSCP xt_dscp xt_string xt_layer7 ipt_MASQUERADE iptable_nat nf_nat xt_CONNMARK xt_recent xt_helper xt_conntrack xt_connmark xt_connbytes xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd sd_mod pppoe pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_mppe ppp_async ppp_generic slhc vfat fat ext4 jbd2 autofs4 ath9k ath9k_common ath9k_hw ath nls_iso8859_1 nls_cp437 mac80211 usbcore ts_fsm ts_bm ts_kmp scsi_mod nls_base mbcache crc16 crc_ccitt cfg80211 compat sha1_generic arc4 aes_generic deflate ecb cbc leds_gpio button_hotplug gpio_buttons input_polldev input_core
Call Trace:[<8007eb30>] 0x8007eb30
[<80069378>] 0x80069378
[<80069378>] 0x80069378
[<8007e138>] 0x8007e138
[<8309c8ac>] 0x8309c8ac
[<8007e1b8>] 0x8007e1b8
[<8309c8ac>] 0x8309c8ac
[<83ba0088>] 0x83ba0088
[<801e8104>] 0x801e8104
[<8316760c>] 0x8316760c
[<83163fa4>] 0x83163fa4
[<80089f8c>] 0x80089f8c
[<800833ac>] 0x800833ac
[<800a9398>] 0x800a9398
[<80083ba4>] 0x80083ba4
[<80083c84>] 0x80083c84
[<8006082c>] 0x8006082c

---[ end trace 4b83d968fb4caca8 ]---
ath: Failed to stop TX DMA, queues=0x004!
eth1: link down
ar71xx: pll_reg 0xb8050018: 0x13000a44
eth1: link up (100Mbps/Full duplex)
br-lan: port 2(wlan0) entering disabled state
br-lan: port 1(eth0) entering disabled state
eth0: link down
device wlan0 left promiscuous mode
br-lan: port 2(wlan0) entering disabled state
device eth0 left promiscuous mode
br-lan: port 1(eth0) entering disabled state
eth1: link down

router:

Router NameOpenWrt
		Router ModelBuffalo WZR-HP-G300NH
		Firmware Version
			 OpenWrt Backfire 10.03.1 /
			LuCI 0.10.0 Release (0.10.0)
		
		Kernel Version2.6.32.27

		Local TimeMon Apr 16 19:31:49 2012
		Uptime2d 1h 25m 50s
		Load Average0.02, 0.07, 0.03

comment:48 Changed 6 years ago by nbd

  • Priority changed from normal to response-needed

please try if this still happens with latest trunk

comment:49 Changed 6 years ago by nbd

  • Resolution set to no_response
  • Status changed from reopened to closed

comment:50 Changed 6 years ago by christophe@…

  • Resolution no_response deleted
  • Status changed from closed to reopened
WARNING: at /opt/openwrt-trunk/build_dir/linux-ar71xx_generic/compat-wireless-2012-05-29/net/mac80211/rx.c:3088 0x815186dc()
Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 78 (0x4e)

Hey, this bug seems to be present at r32083. (TL-WR941ND, AR9132/ AR9100/ AR2133)

comment:51 Changed 6 years ago by Christophe <christophe@…>

TL-WR941ND, r32421

WARNING: at /opt/openwrt-trunk/build_dir/linux-ar71xx_generic/compat-wireless-2012-06-14/net/mac80211/rx.c:3082 0x814584ec()
Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)

comment:52 Changed 6 years ago by wellingtonuemura@…

Hardware: TP-Link WR1043ND v1.8
Software: Trunk r32492

Problem:

------------[ cut here ]------------
WARNING: at /openwrt/trunk/build_dir/linux-ar71xx_generic/compat-wireless-2012-06-14/net/mac80211/rx.c:3082 0x814995a0()
Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)
Modules linked in: usb_storage ath79_wdt ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp
ipt_MASQUERADE iptable_nat nf_nat pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4
nf_conntrack ehci_hcd sd_mod pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle
iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc autofs4 ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O)
mac80211(O) usbcore usb_common scsi_mod nls_base crc_ccitt cfg80211(O) compat(O) arc4 aes_generic crypto_algapi ledtrig_timer
ledtrig_default_on leds_gpio gpio_button_hotplug(O)

Call Trace:
[<80262048>] 0x80262048
[<80262048>] 0x80262048
[<8007123c>] 0x8007123c
[<814995a0>] 0x814995a0
[<800712f0>] 0x800712f0
[<814995a0>] 0x814995a0
[<801d7530>] 0x801d7530
[<81567264>] 0x81567264
[<8009bdc8>] 0x8009bdc8
[<801601f4>] 0x801601f4
[<81564dcc>] 0x81564dcc
[<80076320>] 0x80076320
[<80076844>] 0x80076844
[<80076a50>] 0x80076a50
[<800a7ca0>] 0x800a7ca0
[<80076c84>] 0x80076c84
[<80062d2c>] 0x80062d2c
[<80062f00>] 0x80062f00
[<800949d0>] 0x800949d0
[<80064768>] 0x80064768
[<80062f20>] 0x80062f20
[<802ca8b0>] 0x802ca8b0
[<802ca0dc>] 0x802ca0dc
 ---[ end trace 36f82b119735a7ce ]---
root@Aguia:~# cat /etc/config/wireless

config wifi-device 'radio0'
	option type 'mac80211'
	option macaddr 'xx:xx:xx:xx:xx:xx'
	option hwmode '11ng'
	list ht_capab 'SHORT-GI-40'
	list ht_capab 'DSSS_CCK-40'
	option country 'US'
	option channel '11'
	option htmode 'HT40-'
	option txpower '11'

It happens by it self, no one was using the wireless.

comment:53 Changed 6 years ago by nbd

please try current trunk

comment:54 Changed 5 years ago by nbd

  • Resolution set to no_response
  • Status changed from reopened to closed

comment:55 Changed 5 years ago by Clayman

  • Resolution no_response deleted
  • Status changed from closed to reopened

3 weeks ago, I got similar message.
TL-WR941NDv3, trunk r33290.

[629648.540000] ------------[ cut here ]------------
[629648.550000] WARNING: at /home/clayman/OpenWRT/trunk/build_dir/linux-ar71xx_generic/compat-wireless-2012-07-16/net/mac80211/rx.c:3039 0x80c59838()
[629648.560000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)
[629648.570000] Modules linked in: ath79_wdt ledtrig_netdev nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) crc_ccitt cfg80211(O) compat(O) arc4 aes_generic crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[629648.620000] Call Trace:[<80263f9c>] 0x80263f9c
[629648.630000] [<80263f9c>] 0x80263f9c
[629648.630000] [<800718ac>] 0x800718ac
[629648.630000] [<80c59838>] 0x80c59838
[629648.640000] [<80071960>] 0x80071960
[629648.640000] [<80c59838>] 0x80c59838
[629648.640000] [<801d85d0>] 0x801d85d0
[629648.650000] [<80ce6d90>] 0x80ce6d90
[629648.650000] [<80257948>] 0x80257948
[629648.650000] [<80160ac4>] 0x80160ac4
[629648.660000] [<8006b600>] 0x8006b600
[629648.660000] [<80ce4f08>] 0x80ce4f08
[629648.670000] [<80076990>] 0x80076990
[629648.670000] [<80076eb4>] 0x80076eb4
[629648.670000] [<802f0000>] 0x802f0000
[629648.680000] [<802f0000>] 0x802f0000
[629648.680000] [<800770c0>] 0x800770c0
[629648.680000] [<800a8380>] 0x800a8380
[629648.690000] [<800772f4>] 0x800772f4
[629648.690000] [<80062f8c>] 0x80062f8c
[629648.690000] [<80063160>] 0x80063160
[629648.700000] [<802f0000>] 0x802f0000
[629648.700000] [<800950b0>] 0x800950b0
[629648.700000] [<800649c8>] 0x800649c8
[629648.710000] [<80063180>] 0x80063180
[629648.710000] [<802cc8b0>] 0x802cc8b0
[629648.720000] [<802cc0dc>] 0x802cc0dc
[629648.720000] 
[629648.720000] ---[ end trace b6f0b6440825f7d3 ]---

comment:56 Changed 5 years ago by zerem

Hi, I'm running trunk r33575 for a week and I also got this error, though this revision is pretty stable :)

Wireless disconnected and kernel log contained this

[124249.860000] ------------[ cut here ]------------
[124249.870000] WARNING: at /home/ondrej/dev/openwrt/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x80d19fa0()
[124249.880000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)
[124249.890000] Modules linked in: ath79_wdt ledtrig_netdev nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables tun ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) crc_ccitt cfg80211(O) compat(O) arc4 aes_generic usb_storage ohci_hcd ehci_hcd sd_mod ext4 jbd2 mbcache usbcore usb_common scsi_mod nls_base crc16 crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[124249.950000] Call Trace:[<8026443c>] 0x8026443c
[124249.950000] [<8026443c>] 0x8026443c
[124249.960000] [<8007198c>] 0x8007198c
[124249.960000] [<80d19fa0>] 0x80d19fa0
[124249.960000] [<80071a40>] 0x80071a40
[124249.970000] [<80d19fa0>] 0x80d19fa0
[124249.970000] [<801d8a30>] 0x801d8a30
[124249.970000] [<801d9e50>] 0x801d9e50
[124249.980000] [<80c26ea0>] 0x80c26ea0
[124249.980000] [<80c28948>] 0x80c28948
[124249.980000] [<80c2a7c8>] 0x80c2a7c8
[124249.990000] [<80c24fbc>] 0x80c24fbc
[124249.990000] [<80076a70>] 0x80076a70
[124249.990000] [<80076f94>] 0x80076f94
[124250.000000] [<802f0000>] 0x802f0000
[124250.000000] [<802f0000>] 0x802f0000
[124250.010000] [<800771a0>] 0x800771a0
[124250.010000] [<800a8440>] 0x800a8440
[124250.010000] [<800773d4>] 0x800773d4
[124250.020000] [<8006306c>] 0x8006306c
[124250.020000] [<80063240>] 0x80063240
[124250.020000] [<802f0000>] 0x802f0000
[124250.030000] [<80095190>] 0x80095190
[124250.030000] [<800a80d0>] 0x800a80d0
[124250.030000] [<80064aa8>] 0x80064aa8
[124250.040000] [<80063260>] 0x80063260
[124250.040000] [<802cd8b0>] 0x802cd8b0
[124250.050000] [<802cd0dc>] 0x802cd0dc
[124250.050000] 
[124250.050000] ---[ end trace e1e9615bc3668625 ]---
[178453.960000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
[178453.970000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up

TL-1043NDv1 wireless config

config wifi-device 'radio0'
	option type 'mac80211'
	option macaddr ''
	option hwmode '11ng'
	list ht_capab 'SHORT-GI-40'
	list ht_capab 'DSSS_CCK-40'
	option noscan '1'
	option country 'CZ'
	option txpower '15'
	option channel '13'
	option htmode 'HT40-'

comment:57 follow-up: Changed 5 years ago by duvi

TL-WR1043ND - r34133

It happens late at night, when there are no wireless users connected to the router.

Dmesg:

[1072677.610000] ------------[ cut here ]------------
[1072677.610000] WARNING: at /mnt/hda/openwrt/trunk/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 ieee80211_rx+0x138/0x79c [mac80211]()
[1072677.630000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[1072677.640000] Modules linked in: em_nbyte sch_htb em_cmp sch_gred em_meta act_ipt sch_dsmark sch_teql em_text sch_red sch_tbf sch_sfq cls_basic act_police sch_prio act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_fq_codel sch_codel sch_ingress usblp ath79_wdt ledtrig_usbdev ledtrig_netdev xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length xt_DSCP xt_dscp xt_string xt_layer7 ipt_MASQUERADE iptable_nat nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables sit tunnel4 tun ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211(O) compat(O) arc4 aes_generic crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[1072677.730000] Call Trace:
[1072677.730000] [<8026b74c>] dump_stack+0x8/0x34
[1072677.740000] [<80071d2c>] warn_slowpath_common+0x78/0xa4
[1072677.740000] [<80071de0>] warn_slowpath_fmt+0x2c/0x38
[1072677.750000] [<80cd9008>] ieee80211_rx+0x138/0x79c [mac80211]
[1072677.750000] [<80d67b30>] ath_rx_tasklet+0xf88/0x10b8 [ath9k]
[1072677.760000] [<80d65a10>] ath9k_tasklet+0x114/0x170 [ath9k]
[1072677.770000] [<80076e30>] tasklet_action+0x7c/0xd4
[1072677.770000] [<80077358>] __do_softirq+0xa0/0x154
[1072677.780000] [<80077568>] do_softirq+0x48/0x68
[1072677.780000] [<8007779c>] irq_exit+0x4c/0x78
[1072677.790000] [<8006306c>] ret_from_irq+0x0/0x4
[1072677.790000] [<80063260>] r4k_wait+0x20/0x40
[1072677.790000] [<80064d34>] cpu_idle+0x30/0x60
[1072677.800000] [<802fd8b4>] start_kernel+0x368/0x388
[1072677.800000]
[1072677.810000] ---[ end trace 8cac0b19d0652cdc ]---
[1076784.010000] ------------[ cut here ]------------
[1076784.020000] WARNING: at /mnt/hda/openwrt/trunk/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 ieee80211_rx+0x138/0x79c [mac80211]()
[1076784.030000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[1076784.040000] Modules linked in: em_nbyte sch_htb em_cmp sch_gred em_meta act_ipt sch_dsmark sch_teql em_text sch_red sch_tbf sch_sfq cls_basic act_police sch_prio act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_fq_codel sch_codel sch_ingress usblp ath79_wdt ledtrig_usbdev ledtrig_netdev xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length xt_DSCP xt_dscp xt_string xt_layer7 ipt_MASQUERADE iptable_nat nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables sit tunnel4 tun ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211(O) compat(O) arc4 aes_generic crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[1076784.140000] Call Trace:
[1076784.140000] [<8026b74c>] dump_stack+0x8/0x34
[1076784.150000] [<80071d2c>] warn_slowpath_common+0x78/0xa4
[1076784.150000] [<80071de0>] warn_slowpath_fmt+0x2c/0x38
[1076784.160000] [<80cd9008>] ieee80211_rx+0x138/0x79c [mac80211]
[1076784.160000] [<80d67b30>] ath_rx_tasklet+0xf88/0x10b8 [ath9k]
[1076784.170000] [<80d65a10>] ath9k_tasklet+0x114/0x170 [ath9k]
[1076784.170000] [<80076e30>] tasklet_action+0x7c/0xd4
[1076784.180000] [<80077358>] __do_softirq+0xa0/0x154
[1076784.180000] [<80077568>] do_softirq+0x48/0x68
[1076784.190000] [<8007779c>] irq_exit+0x4c/0x78
[1076784.190000] [<8006306c>] ret_from_irq+0x0/0x4
[1076784.200000] [<80063260>] r4k_wait+0x20/0x40
[1076784.200000] [<80064d34>] cpu_idle+0x30/0x60
[1076784.210000] [<802fd8b4>] start_kernel+0x368/0x388
[1076784.210000]
[1076784.210000] ---[ end trace 8cac0b19d0652cdd ]---

Config:

config wifi-device      'radio0'
        option disabled '0'
        option type     'mac80211'
        option path     'platform/ath9k'
        option hwmode   '11ng'
        option htmode   'HT40+'
        option noscan   '1'
        option channel  '5'
        option txpower  '20'
        list ht_capab   'SHORT-GI-40'
        list ht_capab   'DSSS_CCK-40'

config wifi-iface
        option device   'radio0'
        option mode     'ap'
        option network  'lan'
        option ssid     'private'
        option encryption       'psk-mixed'
        option key      'privatekey'
        option wpa_group_rekey  '3600'

config wifi-iface
        option device   'radio0'
        option mode     'ap'
        option network  'pub'
        option ssid     'public'
        option encryption       'psk-mixed'
        option key      'publickey'
        option wpa_group_rekey  '3600'

comment:58 Changed 5 years ago by carlos@…

Same issue at r34498, Board TL-WR1043ND.
No users connected, hostapd died.

[46574.140000] ------------[ cut here ]------------
[46574.150000] WARNING: at /home/carlos/src/meshd/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x80c9a064()
[46574.160000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[46574.170000] Modules linked in: act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_fq_codel sch_codel sch_ingress ath79_wdt ohci_hcd ledtrig_netdev nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length xt_DSCP xt_dscp xt_string xt_layer7 xt_quota xt_pkttype xt_owner ipt_MASQUERADE iptable_nat nf_nat xt_recent xt_helper xt_connmark xt_connbytes xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd ipt_REJECT xt_TCPMSS xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base ts_fsm ts_bm ts_kmp cfg80211(O) compat(O) arc4 aes_generic crypto_blkcipher cryptomgr aead crypto_hash crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[46574.260000] Call Trace:[<80274d18>] 0x80274d18
[46574.260000] [<80274d18>] 0x80274d18
[46574.270000] [<80071ecc>] 0x80071ecc
[46574.270000] [<80c9a064>] 0x80c9a064
[46574.280000] [<80071f80>] 0x80071f80
[46574.280000] [<802e0000>] 0x802e0000
[46574.280000] [<80c9a064>] 0x80c9a064
[46574.290000] [<800b3dec>] 0x800b3dec
[46574.290000] [<800b3dec>] 0x800b3dec
[46574.290000] [<81be6ec0>] 0x81be6ec0
[46574.300000] [<81be4fe8>] 0x81be4fe8
[46574.300000] [<80079460>] 0x80079460
[46574.300000] [<80078c04>] 0x80078c04
[46574.310000] [<80300000>] 0x80300000
[46574.310000] [<80300000>] 0x80300000
[46574.310000] [<80078e30>] 0x80078e30
[46574.320000] [<800abb40>] 0x800abb40
[46574.320000] [<80079064>] 0x80079064
[46574.320000] [<800630ec>] 0x800630ec
[46574.330000] [<800632c0>] 0x800632c0
[46574.330000] [<80300000>] 0x80300000
[46574.330000] [<80097660>] 0x80097660
[46574.340000] [<800ab868>] 0x800ab868
[46574.340000] [<80064b28>] 0x80064b28
[46574.350000] [<800632e0>] 0x800632e0
[46574.350000] [<802de8f0>] 0x802de8f0
[46574.350000] [<802de2a8>] 0x802de2a8
[46574.360000] 
[46574.360000] ---[ end trace 2f54fa675df05174 ]---
root@OpenWrt:/# uname -a
Linux OpenWrt 3.6.8 #1 Wed Dec 5 11:19:11 CET 2012 mips GNU/Linux
root@OpenWrt:/# 
    1 root      1492 S    init
    2 root         0 SW   [kthreadd]
    3 root         0 SW   [ksoftirqd/0]
    4 root         0 SW   [kworker/0:0]
    5 root         0 SW<  [kworker/0:0H]
    7 root         0 SW<  [kworker/u:0H]
    8 root         0 SW<  [khelper]
   64 root         0 SW   [bdi-default]
   66 root         0 SW<  [kblockd]
   94 root         0 SW   [kswapd0]
  140 root         0 SW   [fsnotify_mark]
  154 root         0 SW<  [ath79-spi]
  165 root         0 SW   [mtdblock0]
  170 root         0 SW   [mtdblock1]
  175 root         0 SW   [mtdblock2]
  180 root         0 SW   [mtdblock3]
  185 root         0 SW   [mtdblock4]
  190 root         0 SW   [mtdblock5]
  234 root         0 SW<  [deferwq]
  235 root         0 SW   [kworker/0:1]
  411 root         0 SWN  [jffs2_gcd_mtd3]
  429 root      1492 S    init
  464 root         0 SW<  [cfg80211]
  474 root         0 SW   [khubd]
  570 root      1496 S    /sbin/syslogd -C16
  572 root      1476 S    /sbin/klogd
  574 root       844 S    /sbin/hotplug2 --override --persistent --set-rules-file /etc/hotplug2.rules --set-coldplug-cmd /sbin/udevtrigger --max-children 1
  580 root       868 S    /sbin/ubusd
  688 root      2776 S    /sbin/meshd
  694 root      1532 S    /sbin/netifd
 1695 root      1492 S    /usr/sbin/telnetd -l /bin/login.sh
 1754 root      1476 S    /usr/sbin/olsrd -f /var/etc/olsrd.conf -nofork
 1779 root       800 S    /sbin/rngd -r /dev/urandom -W 4000 -t 30
 1837 root         0 SW<  [kworker/0:1H]
15378 root         0 SW   [kworker/u:2]
16336 nobody     964 S    /usr/sbin/dnsmasq -C /var/etc/dnsmasq.conf
19972 root         0 SW   [kworker/u:0]
21172 root      1492 S    /bin/ash --login
21378 root      1484 R    ps
root@OpenWrt:/# cat /etc/config/wireless 

config wifi-device 'radio0'
        option type 'mac80211'
        option path 'platform/ath9k'
        option htmode 'HT20'
        list ht_capab 'SHORT-GI-40'
        list ht_capab 'DSSS_CCK-40'
        option hwmode '11g'
        option country 'US'
        option txpower '30'
        option channel '6'

config wifi-iface 'mesh_0_g'
        option device 'radio0'
        option network 'mesh_0_g'
        option mode 'adhoc'
        option bssid '02:CA:FF:EE:BA:BE'
        option ssid ' '
        option encryption 'none'
        option hidden '1'
        option ifname 'mesh_0_g'
        option macaddr 'F4:EC:38:BE:94:A0'

config wifi-iface 'client_0_pub'
        option device 'radio0'
        option network 'client_0_pub'
        option ifname 'client_0_pub'
        option macaddr 'F4:EC:38:BE:94:A1'
        option mode 'ap'
        option wpa_group_rekey '0'
        option disabled '0'
        option hidden '0'
        option ssid 'Publica'
        option encryption 'none'

config wifi-iface 'client_0_priv'
        option device 'radio0'
        option network 'client_0_priv'
        option ifname 'client_0_priv'
        option macaddr 'F4:EC:38:BE:94:A2'
        option mode 'ap'
        option encryption 'psk2+aes'
        option key '********'
        option wpa_group_rekey '0'
        option disabled '0'
        option hidden '0'
        option ssid 'FCatolico'
root@OpenWrt:/# uptime 
 11:53:22 up 18:54,  load average: 0.09, 0.06, 0.09

comment:59 Changed 5 years ago by slarew

I'm running Attitude Adjustment (r34668) and found this message in my logs. I was gone at the time, so I'm not sure how it affected my connections. Perhaps it will help in debugging any possible bugs.

Dec 15 20:01:19 <user.warn> router kernel: [118498.860000] ------------[ cut here ]------------
Dec 15 20:01:19 <user.warn> router kernel: [118498.870000] WARNING: at ***/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x80cd9fd0()
Dec 15 20:01:19 <user.warn> router kernel: [118498.880000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)
Dec 15 20:01:19 <user.warn> router kernel: [truncated] [118498.890000] Modules linked in: sch_fq_codel sch_hfsc cls_fw sch_ingress act_mirred act_connmark em_u32 cls_u32 ifb ath79_wdt ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_LOG ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6he
Dec 15 20:01:19 <user.warn> router kernel: [118498.990000] Call Trace:[<802699bc>] 0x802699bc
Dec 15 20:01:19 <user.warn> router kernel: [118499.000000] [<802699bc>] 0x802699bc
Dec 15 20:01:19 <user.warn> router kernel: [118499.000000] [<80071a0c>] 0x80071a0c
Dec 15 20:01:19 <user.warn> router kernel: [118499.010000] [<80cd9fd0>] 0x80cd9fd0
Dec 15 20:01:19 <user.warn> router kernel: [118499.010000] [<80071ac0>] 0x80071ac0
Dec 15 20:01:19 <user.warn> router kernel: [118499.010000] [<80cd9fd0>] 0x80cd9fd0
Dec 15 20:01:19 <user.warn> router kernel: [118499.020000] [<801d9328>] 0x801d9328
config wifi-device 'radio0'
	option type 'mac80211'
	option macaddr 'f4:ec:38:be:db:c8'
	option hwmode '11ng'
	list ht_capab 'SHORT-GI-40'
	list ht_capab 'DSSS_CCK-40'
	option country 'US'
	option channel '1'
	option txpower '27'
	option log_level '3'
	option htmode 'HT20'

config wifi-iface
	option device 'radio0'
	option network 'lan'
	option mode 'ap'
	option ssid ****
	option encryption 'psk2+ccmp'
	option key ***
# uname -a
Linux router 3.3.8 #1 Thu Dec 13 20:46:31 EST 2012 mips GNU/Linux

comment:60 Changed 5 years ago by towolf

My flatmate is *constantly* giving me shit about broken wireless and he wants the old Asus WL500W back because "that worked so much better".

When I get him to not power-cycle the box (1043ND) to have a look the dmesg is always full of oopses and warning related to ath driver.

So why is this bug closed all the time when it’s a bad problem?

Here’s a sample:

Dec 16 22:53:49 plink.lan kernel: [253616.380000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
Dec 16 22:53:49 plink.lan kernel: [253616.390000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up
Dec 17 18:05:57 plink.lan kernel: [322743.900000] ------------[ cut here ]------------
Dec 17 18:05:57 plink.lan kernel: [322743.910000] WARNING: at /home/towolf/src/kamikaze/wr1043nd/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2012-12-06/net/mac80211/rx.c:3221 0x80d9b764()
Dec 17 18:05:57 plink.lan kernel: [322743.920000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
Dec 17 18:05:57 plink.lan kernel: [322743.930000] Modules linked in: fuse ums_usbat ums_sddr55 ums_sddr09 ums_karma ums_jumpshot ums_isd200 ums_freecom ums_datafab ums_cypress ums_alauda usb_storage ath79_wdt ledtrig_usbdev ehci_hcd sd_mod vfat fat ext4 jbd2 mbc
Dec 17 18:05:57 plink.lan kernel: [322743.980000] Call Trace:[<8026ec08>] 0x8026ec08

comment:61 Changed 5 years ago by lord_i

I confirm this ...
(on WR1043ND with OpenWrt Attitude Adjustment 12.09-rc1)

.380000] ------------[ cut here ]------------
[21216.380000] WARNING: at /build/ar71xx/generic/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x80c99fd4()
[21216.390000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)
[21216.400000] Modules linked in: sch_fq_codel sch_hfsc cls_fw sch_ingress act_mirred act_connmark em_u32 cls_u32 ifb option usb_wwan ums_usbat ums_sddr55 ums_sddr09 ums_karma ums_jumpshot ums_isd200 ums_freecom ums_datafab ums_cypress ums_alauda usb_storage usbserial ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length xt_DSCP xt_dscp xt_string xt_layer7 ipt_MASQUERADE iptable_nat nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd sd_mod pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ext4 jbd2 mbcache ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common scsi_mod nls_base ts_fsm ts_bm ts_kmp crc16 crc_ccitt cfg80211(O) compat(O) arc4 aes_generic crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O) [last unloaded: ifb]
[21216.500000] Call Trace:[<80283918>] 0x80283918
[21216.510000] [<80283918>] 0x80283918
[21216.510000] [<8007198c>] 0x8007198c
[21216.510000] [<80c99fd4>] 0x80c99fd4
[21216.520000] [<80071a40>] 0x80071a40
[21216.520000] [<80c99fd4>] 0x80c99fd4
[21216.530000] [<801e1694>] 0x801e1694
[21216.530000] [<801e2b20>] 0x801e2b20
[21216.530000] [<80c66eb0>] 0x80c66eb0
[21216.540000] [<8018cd00>] 0x8018cd00
[21216.540000] [<80c64fd8>] 0x80c64fd8
[21216.540000] [<80076a90>] 0x80076a90
[21216.550000] [<80076fb8>] 0x80076fb8
[21216.550000] [<80310000>] 0x80310000
[21216.550000] [<80310000>] 0x80310000
[21216.560000] [<800771c8>] 0x800771c8
[21216.560000] [<800a8560>] 0x800a8560
[21216.560000] [<800773fc>] 0x800773fc
[21216.570000] [<8006306c>] 0x8006306c
[21216.570000] [<80063240>] 0x80063240
[21216.570000] [<80310000>] 0x80310000
[21216.580000] [<800952a0>] 0x800952a0
[21216.580000] [<80064aa8>] 0x80064aa8
[21216.590000] [<80063260>] 0x80063260
[21216.590000] [<802f08b4>] 0x802f08b4
[21216.590000] [<803165f8>] 0x803165f8
[21216.600000] [<802f00dc>] 0x802f00dc
[21216.600000] 
[21216.600000] ---[ end trace be25402fc9c1a6be ]---

comment:62 Changed 5 years ago by anonymous

I never have that on a WZR-HP-AG300H
But when I use TL-MR3040 then I get tons of those in monitor mode when I haven't had AP mode running before. Since kernel 3.6 this behaviour changed again, now it doesnt even work after trying AP mode first and I get a lot of those errors again.

comment:63 Changed 5 years ago by anonymous

This problem is frankly kind of ridiculous. It's happening on the Buffalo WZR-HP-G300NH too, along with wireless sometimes just dying altogether. It hasn't ever worked all that well, except on the stock firmware.

[254423.420000] ------------[ cut here ]------------
[254423.430000] WARNING: at /build/ar71xx/generic/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x83059fd4()
[254423.440000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)
[254423.450000] Modules linked in: sch_fq_codel sch_hfsc cls_fw sch_ingress act_mirred act_connmark em_u32 cls_u32 ifb xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length xt_DSCP xt_dscp xt_string xt_layer7 ts_fsm ts_bm ts_kmp xt_recent xt_helper xt_connmark xt_connbytes ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base crc_ccitt cfg80211(O) compat(O) arc4 aes_generic crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O) [last unloaded: ifb]
[254423.530000] Call Trace:[<80283918>] 0x80283918
[254423.540000] [<80283918>] 0x80283918
[254423.540000] [<8007198c>] 0x8007198c
[254423.540000] [<83059fd4>] 0x83059fd4
[254423.550000] [<80071a40>] 0x80071a40
[254423.550000] [<83059fd4>] 0x83059fd4
[254423.560000] [<801e1694>] 0x801e1694
[254423.560000] [<830e6eb0>] 0x830e6eb0
[254423.560000] [<8009c6a8>] 0x8009c6a8
[254423.570000] [<80165a44>] 0x80165a44
[254423.570000] [<830e4fd8>] 0x830e4fd8
[254423.570000] [<80076a90>] 0x80076a90
[254423.580000] [<80076fb8>] 0x80076fb8
[254423.580000] [<80310000>] 0x80310000
[254423.580000] [<80310000>] 0x80310000
[254423.590000] [<800771c8>] 0x800771c8
[254423.590000] [<800a8560>] 0x800a8560
[254423.600000] [<800773fc>] 0x800773fc
[254423.600000] [<8006306c>] 0x8006306c
[254423.600000] [<80063240>] 0x80063240
[254423.610000] [<80310000>] 0x80310000
[254423.610000] [<800952a0>] 0x800952a0
[254423.610000] [<80064aa8>] 0x80064aa8
[254423.620000] [<80063260>] 0x80063260
[254423.620000] [<802f08b4>] 0x802f08b4
[254423.620000] [<803165f8>] 0x803165f8
[254423.630000] [<802f00dc>] 0x802f00dc
[254423.630000] 
[254423.630000] ---[ end trace 0f73ebae0dc4e351 ]---

comment:64 Changed 5 years ago by anonymous

[150042.390000] ------------[ cut here ]------------
[150042.400000] WARNING: at /build/ar71xx/generic/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x80c99fd4()
[150042.410000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[150042.420000] Modules linked in: sch_fq_codel sch_hfsc cls_fw sch_ingress act_mirred act_connmark em_u32 cls_u32 ifb ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length xt_DSCP xt_dscp xt_string xt_layer7 ipt_MASQUERADE iptable_nat nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base ts_fsm ts_bm ts_kmp crc_ccitt cfg80211(O) compat(O) arc4 aes_generic crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O) [last unloaded: ifb]
[150042.510000] Call Trace:[<80283918>] 0x80283918
[150042.510000] [<80283918>] 0x80283918
[150042.510000] [<8007198c>] 0x8007198c
[150042.520000] [<80c99fd4>] 0x80c99fd4
[150042.520000] [<80071a40>] 0x80071a40
[150042.520000] [<80c99fd4>] 0x80c99fd4
[150042.530000] [<801e1694>] 0x801e1694
[150042.530000] [<81bc6eb0>] 0x81bc6eb0
[150042.540000] [<81bc4fd8>] 0x81bc4fd8
[150042.540000] [<80076a90>] 0x80076a90
[150042.540000] [<80076fb8>] 0x80076fb8
[150042.550000] [<80310000>] 0x80310000
[150042.550000] [<80310000>] 0x80310000
[150042.550000] [<800771c8>] 0x800771c8
[150042.560000] [<800a8560>] 0x800a8560
[150042.560000] [<800773fc>] 0x800773fc
[150042.560000] [<8006306c>] 0x8006306c
[150042.570000] [<80063240>] 0x80063240
[150042.570000] [<80310000>] 0x80310000
[150042.580000] [<800952a0>] 0x800952a0
[150042.580000] [<80064aa8>] 0x80064aa8
[150042.580000] [<80063260>] 0x80063260
[150042.590000] [<802f08b4>] 0x802f08b4
[150042.590000] [<803165f8>] 0x803165f8
[150042.590000] [<802f00dc>] 0x802f00dc
[150042.600000]
[150042.600000] ---[ end trace 09b62af264efc790 ]---

Getting similar errors with a WRT160NL. This happens as frequently as once an hour to once every two or three days. Once it happens, it seems that the network speed just drops to near zero.

comment:65 Changed 5 years ago by anonymous

on 1043nd running r34940

[60444.700000] ------------[ cut here ]------------
[60444.710000] WARNING: at /ramdisk/openwrt/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2012-12-06/net/mac80211/rx.c:3221 ieee80211_rx+0x134/0x808 [mac80211]()
[60444.720000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[60444.730000] Modules linked in: ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base crc_ccitt cfg80211(O) compat(O) arc4 aes_generic crypto_blkcipher cryptomgr aead crypto_hash crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[60444.800000] Call Trace:
[60444.800000] [<8028cb68>] dump_stack+0x8/0x34
[60444.800000] [<80072344>] warn_slowpath_common+0x78/0xa4
[60444.810000] [<800723f8>] warn_slowpath_fmt+0x2c/0x38
[60444.810000] [<80d9b46c>] ieee80211_rx+0x134/0x808 [mac80211]
[60444.820000] [<80d66564>] ath_rx_tasklet+0xe5c/0xf90 [ath9k]
[60444.820000] [<80d64780>] ath9k_tasklet+0xe8/0x140 [ath9k]
[60444.830000] [<8007993c>] tasklet_action+0x78/0xc8
[60444.830000] [<800790e8>] __do_softirq+0xb0/0x184
[60444.840000] [<80079318>] do_softirq+0x48/0x68
[60444.840000] [<80079534>] irq_exit+0x4c/0x78
[60444.850000] [<8006318c>] ret_from_irq+0x0/0x4
[60444.850000] [<80063380>] r4k_wait+0x20/0x40
[60444.860000] [<80064e60>] cpu_idle+0x30/0x60
[60444.860000] [<803238f0>] start_kernel+0x368/0x388
[60444.860000] 
[60444.870000] ---[ end trace ce8c2bf3d49d59e4 ]---
[127970.840000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000286c0
[127970.850000] ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up

comment:66 Changed 5 years ago by anonymous

I have 3 x TL-WR1043ND running r34185 and I only have this issue with one of them, it stops forwarding traffic after a couple of days. I can connect to the wireless but no traffic is forwarded, I cannot contact the DHCP (external) etc.

comment:67 Changed 5 years ago by Anton <anton.bugs@…>

My wireless with 2 SSID configured on buffalo Buffalo WZR-HP-G300NH v12.09-rc1 crashes with the same call trace couple times a week.
The bug is opened for ~3years. Is it really so difficult to fix it?..
Why the status is Priority: response-needed ? What can we provide?

comment:68 Changed 5 years ago by anonymous

OpenWrt Barrier Breaker r35097 / LuCI Trunk (trunk+svn9610)

Still got a lot of that :(

comment:69 Changed 5 years ago by mashiharu@…

Happens frequently on my 1043ND with 2 wireless networks configured.

[98262.590000] WARNING: at /build/ar71xx/generic/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x80c99fd4()
[98262.610000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 78 (0x4e)
[98262.620000] Modules linked in: ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base crc_ccitt cfg80211(O) compat(O) arc4 aes_generic crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[98262.680000] Call Trace:[<80283918>] 0x80283918
[98262.680000] [<80283918>] 0x80283918
[98262.680000] [<8007198c>] 0x8007198c
[98262.690000] [<80c99fd4>] 0x80c99fd4
[98262.690000] [<80071a40>] 0x80071a40
[98262.690000] [<80c99fd4>] 0x80c99fd4
[98262.700000] [<801e1694>] 0x801e1694
[98262.700000] [<81ba6eb0>] 0x81ba6eb0
[98262.700000] [<81ba4fd8>] 0x81ba4fd8
[98262.710000] [<80076a90>] 0x80076a90
[98262.710000] [<80076fb8>] 0x80076fb8
[98262.710000] [<80310000>] 0x80310000
[98262.720000] [<80310000>] 0x80310000
[98262.720000] [<800771c8>] 0x800771c8
[98262.730000] [<800a8560>] 0x800a8560
[98262.730000] [<800773fc>] 0x800773fc
[98262.730000] [<8006306c>] 0x8006306c
[98262.740000] [<80063240>] 0x80063240
[98262.740000] [<80310000>] 0x80310000
[98262.740000] [<800952a0>] 0x800952a0
[98262.750000] [<800a8294>] 0x800a8294
[98262.750000] [<80064aa8>] 0x80064aa8
[98262.750000] [<80063260>] 0x80063260
[98262.760000] [<802f08b4>] 0x802f08b4
[98262.760000] [<803165f8>] 0x803165f8
[98262.760000] [<802f00dc>] 0x802f00dc
[98262.770000]

comment:70 Changed 5 years ago by anonymous

tl-wr1043nd with r35100

[14060.760000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[14061.230000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[19148.800000] ------------[ cut here ]------------
[19148.810000] WARNING: at /home/fnord/slave/ar71xx/build/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-01-07/net/mac80211/rx.c:3250 ieee80211_rx+0x134/0x808 [mac80211]()
[19148.830000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[19148.840000] Modules linked in: ath79_wdt ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) crc_ccitt cfg80211(O) compat(O) arc4 aes_generic crypto_blkcipher cryptomgr aead usb_storage ohci_hcd ehci_hcd sd_mod ext4 jbd2 mbcache usbcore usb_common scsi_mod nls_base crc16 crypto_hash crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[19148.900000] Call Trace:
[19148.900000] [<802890f0>] dump_stack+0x8/0x34
[19148.910000] [<80072364>] warn_slowpath_common+0x78/0xa4
[19148.910000] [<80072418>] warn_slowpath_fmt+0x2c/0x38
[19148.920000] [<80e1b678>] ieee80211_rx+0x134/0x808 [mac80211]
[19148.930000] [<80ee629c>] ath_rx_tasklet+0xe50/0xf58 [ath9k]
[19148.930000] [<80ee4620>] ath9k_tasklet+0xe8/0x140 [ath9k]
[19148.940000] [<8007995c>] tasklet_action+0x78/0xc8
[19148.940000] [<80079108>] __do_softirq+0xb0/0x184
[19148.950000] [<80079338>] do_softirq+0x48/0x68
[19148.950000] [<80079554>] irq_exit+0x4c/0x78
[19148.950000] [<800631ac>] ret_from_irq+0x0/0x4
[19148.960000] [<800633a0>] r4k_wait+0x20/0x40
[19148.960000] [<80064e80>] cpu_idle+0x30/0x60
[19148.970000] [<8031d8f0>] start_kernel+0x368/0x388
[19148.970000] 
[19148.970000] ---[ end trace 8578008ee1202bec ]---
[19151.270000] ath: phy0: Failed to stop TX DMA, queues=0x100!

comment:71 Changed 5 years ago by khatiwada.dibya@…

Hi I want to know how we can print the current MCS index value on the terminal. Is there any way to to this.

comment:72 Changed 5 years ago by wfwoo88

Wish to report a warning message I found at Kernal Log for TP-Link TL-WR941N/ND v2 (AA12.09-rc1).

[1603786.530000] ------------[ cut here ]------------
[1603786.540000] WARNING: at /build/ar71xx/generic/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x80c99fd4()
[1603786.550000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[1603786.560000] Modules linked in: ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base crc_ccitt cfg80211(O) compat(O) arc4 aes_generic crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[1603786.620000] Call Trace:[<80283918>] 0x80283918
[1603786.620000] [<80283918>] 0x80283918
[1603786.620000] [<8007198c>] 0x8007198c
[1603786.630000] [<80c99fd4>] 0x80c99fd4
[1603786.630000] [<80071a40>] 0x80071a40
[1603786.640000] [<80c99fd4>] 0x80c99fd4
[1603786.640000] [<801e1694>] 0x801e1694
[1603786.640000] [<801e2b20>] 0x801e2b20
[1603786.650000] [<80d66eb0>] 0x80d66eb0
[1603786.650000] [<80d64fd8>] 0x80d64fd8
[1603786.650000] [<80076a90>] 0x80076a90
[1603786.660000] [<80076fb8>] 0x80076fb8
[1603786.660000] [<80310000>] 0x80310000
[1603786.670000] [<80310000>] 0x80310000
[1603786.670000] [<800771c8>] 0x800771c8
[1603786.670000] [<800a8560>] 0x800a8560
[1603786.680000] [<800773fc>] 0x800773fc
[1603786.680000] [<8006306c>] 0x8006306c
[1603786.680000] [<80310000>] 0x80310000
[1603786.690000] [<80063240>] 0x80063240
[1603786.690000] [<80310000>] 0x80310000
[1603786.690000] [<800952a0>] 0x800952a0
[1603786.700000] [<800a8294>] 0x800a8294
[1603786.700000] [<80064aa8>] 0x80064aa8
[1603786.710000] [<80063260>] 0x80063260
[1603786.710000] [<802f08b4>] 0x802f08b4
[1603786.710000] [<803165f8>] 0x803165f8
[1603786.720000] [<802f00dc>] 0x802f00dc
[1603786.720000] 
[1603786.720000] ---[ end trace 1504cae086db7206 ]---

comment:73 Changed 5 years ago by ben@…

Also noticed this warning in the dmesg of a Buffalo wzr-hp-g300nh running r34185, quoted below. I am unsure if this event disrupted wifi operation, since I have that unit doing a daily "wifi restart" via cronjob to try to mitigate issues such as this one.

[117276.900000] ------------[ cut here ]------------
[117276.910000] WARNING: at /blah/blah/blah/openwrt/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x83199fd0()
[117276.920000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[117276.930000] Modules linked in: sch_fq_codel sch_hfsc cls_fw sch_ingress act_mirred act_connmark em_u32 cls_u32 usbhid hid evdev ath79_wdt trelay(O) ledtrig_usbdev ledtrig_netdev ledtrig_heartbeat ledtrig_gpio nf_conntrack_netlink ip6t_REJECT ip6t_LOG ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6_queue ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nfnetlink nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length xt_DSCP xt_dscp xt_string xt_layer7 ipt_REDIRECT ipt_NETMAP ipt_MASQUERADE iptable_nat nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ipip tunnel4 tun ppp_async ppp_generic slhc vfat fat autofs4 ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211(O) compat(O) input_core arc4 aes_generic usb_storage uhci_hcd ohci_hcd ehci_hcd sd_mod ext4 jbd2 mbcache usbcore usb_common scsi_mod nls_base crc16 crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[117277.050000] Call Trace:[<802691bc>] 0x802691bc
[117277.060000] [<802691bc>] 0x802691bc
[117277.060000] [<8007198c>] 0x8007198c
[117277.070000] [<83199fd0>] 0x83199fd0
[117277.070000] [<80071a40>] 0x80071a40
[117277.070000] [<83199fd0>] 0x83199fd0
[117277.080000] [<801d8af8>] 0x801d8af8
[117277.080000] [<801d9f1c>] 0x801d9f1c
[117277.080000] [<83266eb0>] 0x83266eb0
[117277.090000] [<83264fd8>] 0x83264fd8
[117277.090000] [<80076a70>] 0x80076a70
[117277.090000] [<80076f94>] 0x80076f94
[117277.100000] [<800771a0>] 0x800771a0
[117277.100000] [<8006306c>] 0x8006306c
[117277.110000] [<800a8440>] 0x800a8440
[117277.110000] [<800773d4>] 0x800773d4
[117277.110000] [<8006306c>] 0x8006306c
[117277.120000] [<80063240>] 0x80063240
[117277.120000] [<80095190>] 0x80095190
[117277.120000] [<800a8174>] 0x800a8174
[117277.130000] [<80064aa8>] 0x80064aa8
[117277.130000] [<80063260>] 0x80063260
[117277.130000] [<802d38b0>] 0x802d38b0
[117277.140000] [<802f8c30>] 0x802f8c30
[117277.140000] [<802d30dc>] 0x802d30dc
[117277.140000] 
[117277.150000] ---[ end trace 61a63ac6068ed573 ]---

Here is my /etc/config/wireless:

config wifi-device  radio0
	option type     mac80211
	option channel  9
	option macaddr	00:xx:xx:xx:xx:xx
	option hwmode	11ng
	option htmode	HT20
	option txpower  21
	list ht_capab	SHORT-GI-40
	list ht_capab	DSSS_CCK-40
	# REMOVE THIS LINE TO ENABLE WIFI:
	option disabled 0

config wifi-iface wlan0
	option device   radio0
	option network  securewlan
	option mode     ap
	option ssid     Awesome-Wifi
	option encryption 'psk'
	option key	'password'

comment:74 follow-up: Changed 5 years ago by anonymous

Does a daily wifi restart via cronjob help against this issue?

comment:75 in reply to: ↑ 74 ; follow-up: Changed 5 years ago by anonymous

Replying to anonymous:

Does a daily wifi restart via cronjob help against this issue?

I applied daily restarts but crashes still exists. Seems a bit less but this can be only feeling while occurrence of crashes have a big randomness at least in my eyes.

comment:76 in reply to: ↑ 75 Changed 5 years ago by anonymous

Replying to anonymous:

Replying to anonymous:

Does a daily wifi restart via cronjob help against this issue?

I applied daily restarts but crashes still exists. Seems a bit less but this can be only feeling while occurrence of crashes have a big randomness at least in my eyes.
.

I've discovered that mine usually happens mid-afternoon, when there's no traffic on the network, because everyone is gone and there's no activity other than whatever local devices are doing their thing (re-authenticating, etc).

A daily restart also doesn't fix the issue, because you have to time the restart to occur 'after' the crash occurs, which doesn't happen like clockwork.

I wrote a little shell script (kludge) that uses ps and grep to check for the hostapd process (this is what crashes in this bug), and if it doesn't find it, it restarts it.

#!/bin/sh
is_alive=`ps | grep -v grep | grep -o hostapd`
if [ "$is_alive" = "hostapd" ];
then
    echo "HOSTAPD IS ALIVE! IT'S ALIVE!"
    exit 1
else
    echo "IT'S DEAD JIM! RELOADING!"
    /sbin/wifi
    exit 1
fi

Then I run it via cron (scheduled tasks) as:

*   *   *   *   * /root/ka_hostap | logger

So it checks every minute to see if the hostapd daemon is running, and if not, it reloads it with the 'wifi' command. I tested it earlier by killing the hostapd process and the script successfully identified it was not running and reloaded it. Now to see if it works in the 'real world'.

comment:77 Changed 5 years ago by nbd

please try r35786 or newer

comment:78 in reply to: ↑ 57 Changed 5 years ago by duvi

Sorry, I got the same warning as described in comment:57
TL-WR1043ND, r35819:

[65657.550000] ------------[ cut here ]------------
[65657.560000] WARNING: at /mnt/hda/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-02-22/net/mac80211/rx.c:3291 ieee80211_rx+0x134/0x808 [mac80211]()
[65657.570000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 78 (0x4e)
[65657.580000] Modules linked in: em_cmp em_nbyte sch_htb sch_prio sch_dsmark sch_gred em_meta act_ipt sch_teql cls_basic em_text sch_red sch_tbf sch_sfq act_police act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_fq_codel sch_codel sch_ingress usblp ath79_wdt ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length xt_DSCP xt_dscp xt_string xt_layer7 ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211(O) compat(O) arc4 crypto_blkcipher aead ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[65657.680000] Call Trace:
[65657.690000] [<800703b0>] dump_stack+0x8/0x34
[65657.690000] [<80078dfc>] warn_slowpath_common+0x78/0xa4
[65657.690000] [<80078eb0>] warn_slowpath_fmt+0x2c/0x38
[65657.700000] [<80d5aa68>] ieee80211_rx+0x134/0x808 [mac80211]
[65657.710000] [<80e67480>] ath_rx_tasklet+0x1010/0x1114 [ath9k]
[65657.710000] [<80e64ccc>] ath9k_tasklet+0x110/0x16c [ath9k]
[65657.720000] [<80080334>] tasklet_action+0x78/0xc8
[65657.720000] [<8007fb84>] __do_softirq+0xb0/0x184
[65657.730000] [<8007fd08>] do_softirq+0x48/0x68
[65657.730000] [<8007ff24>] irq_exit+0x4c/0x7c
[65657.740000] [<8006082c>] ret_from_irq+0x0/0x4
[65657.740000] [<80060a40>] r4k_wait+0x20/0x40
[65657.740000] [<8006dc5c>] cpu_idle+0x30/0x60
[65657.750000] [<803078ec>] start_kernel+0x364/0x384
[65657.750000]
[65657.750000] ---[ end trace d9a068f0e2254a1b ]---

comment:79 Changed 5 years ago by Christophe <christophe@…>

Same messages here: WR1043, r35819

[13395.680000] WARNING: at /home/christophe/openwrt/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-02-22/net/mac80211/rx.c:3291 ieee80211_rx+0x134/0x808 [mac80211]()
[13395.700000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[13395.710000] Modules linked in: ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_tftp nf_conntrack_tftp nf_nat_snmp_basic nf_conntrack_snmp nf_nat_sip nf_conntrack_sip nf_nat_pptp nf_conntrack_pptp nf_nat_h323 nf_conntrack_h323 nf_nat_proto_gre nf_conntrack_proto_gre nf_nat_amanda nf_conntrack_amanda nf_conntrack_broadcast nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat pptp xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ip_gre gre ppp_mppe tun ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base ts_fsm ts_bm ts_kmp crc_ccitt cfg80211(O) compat(O) sha1_generic ecb arc4 crypto_blkcipher aead crypto_hash ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[13395.800000] Call Trace:
[13395.800000] [<800703b0>] dump_stack+0x8/0x34
[13395.800000] [<80078dfc>] warn_slowpath_common+0x78/0xa4
[13395.810000] [<80078eb0>] warn_slowpath_fmt+0x2c/0x38
[13395.810000] [<80c9bbc8>] ieee80211_rx+0x134/0x808 [mac80211]
[13395.820000] [<80ce6854>] ath_rx_tasklet+0xef4/0xff4 [ath9k]
[13395.830000] [<80ce439c>] ath9k_tasklet+0xe8/0x140 [ath9k]
[13395.830000] [<80080334>] tasklet_action+0x78/0xc8
[13395.840000] [<8007fb84>] __do_softirq+0xb0/0x184
[13395.840000] [<8007fd08>] do_softirq+0x48/0x68
[13395.850000] [<8007ff24>] irq_exit+0x4c/0x7c
[13395.850000] [<8006082c>] ret_from_irq+0x0/0x4
[13395.850000] [<80060a40>] r4k_wait+0x20/0x40
[13395.860000] [<8006dc5c>] cpu_idle+0x30/0x60
[13395.860000] [<803018ec>] start_kernel+0x364/0x384

comment:80 Changed 5 years ago by alex@…

Above from r35819 also visible on WR1043ND.

Sorry for the dupe: https://dev.openwrt.org/ticket/13100#ticket

comment:81 Changed 5 years ago by gogothebee@…

Happened here on WR941ND, running AA 12.09-rc1. After I analyzed it indirectly, I came to the conclusion that something wrong happens in ath9k. Sometimes the error begins with:

ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42000020 DMADBG_7=0x000084c0
ath: phy0: Could not stop RX, we could be confusing the DMA engine when we start RX up

And sometimes the "bad" thing happens in ath9k, but it doesn't say anything about it. Then a wrong data structure propagates to the next function in the stack "above" it, mac80211_rx. It dumps:

Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)

The actual number (77 in this case) may be different. Then mac80211_rx decides to dump the packet (looking at its source now). Unfortunately this is not a solution, because at this point ATH9K is already stuck, unable to stop its TX DMA:

ath: phy0: Failed to stop TX DMA, queues=0x004!

I may have the skills to fix it, but it would take too much time I don't have now. A quick and very rough workaround would be a script that checks dmesg's output every 5s and if it finds "Failed to stop TX DMA", restart the Wifi stack. I'll test it in the following days and I'll write the script+instructions if this works at all. The result for the end user would be stopping of the Wifi interface for a couple of seconds.

comment:82 follow-up: Changed 5 years ago by gogothebee@…

The script is ready. I'm testing it in a busy office on 2 routers. If it turns out successful, I'll post it here + instructions. On detection of this issue, the script stops the Wifi, unloads all ath9k related kernel modules, loads them again and brings the Wifi up. The whole procedure takes around 3s.

comment:83 Changed 5 years ago by nbd

The HT rate warning should be fixed in latest trunk, please test.

comment:84 Changed 5 years ago by Luke McKee <hojuruku@…>

I will! Keep you posted. FYI here's my error.

[47458.580000] ------------[ cut here ]------------
[47458.590000] WARNING: at /home/fnord/slave/ar71xx/build/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-02-22/net/mac80211/rx.c:3291 ieee80211_rx+0x134/0x808 [mac80211]()
[47458.610000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[47458.620000] Modules linked in: ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_platform ehci_hcd pppox ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables nfs ppp_async ppp_generic slhc lockd sunrpc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base crc_ccitt cfg80211(O) compat(O) arc4 crypto_blkcipher aead crypto_hash ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[47458.680000] Call Trace:
[47458.680000] [<8006de24>] dump_stack+0x8/0x34
[47458.680000] [<800766d0>] warn_slowpath_common+0x78/0xa4
[47458.690000] [<80076784>] warn_slowpath_fmt+0x2c/0x38
[47458.690000] [<80c9bc08>] ieee80211_rx+0x134/0x808 [mac80211]
[47458.700000] [<80ce6854>] ath_rx_tasklet+0xef4/0xff4 [ath9k]
[47458.710000] [<80ce439c>] ath9k_tasklet+0xe8/0x140 [ath9k]
[47458.710000] [<8007d9f0>] tasklet_action+0x78/0xc8
[47458.720000] [<8007d240>] __do_softirq+0xb0/0x184
[47458.720000] [<8007d3c4>] do_softirq+0x48/0x68
[47458.730000] [<8007d5e0>] irq_exit+0x4c/0x7c
[47458.730000] [<8006082c>] ret_from_irq+0x0/0x4
[47458.730000] [<80060a60>] r4k_wait+0x20/0x40
[47458.740000] [<8006b7d4>] cpu_idle+0x30/0x60
[47458.740000] [<8032d8ec>] start_kernel+0x364/0x384
[47458.750000]
[47458.750000] ---[ end trace efce2a47119a7951 ]---

comment:85 Changed 5 years ago by anonymous

It's still broken. Tested trunk from this weekend, unless I'm meant to check out a special svn just for ath9k I'm running the latest trunk.

[code]Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76][/code]

comment:86 Changed 5 years ago by duvi

Sorry, TL-WR1043ND, trunk r36100 still warns.

[97070.890000] ------------[ cut here ]------------
[97070.890000] WARNING: at /home/duvi/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-02-22/net/mac80211/rx.c:3291 ieee80211_rx+0x134/0x808 [mac80211]()
[97070.910000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 78 (0x4e)
[97070.920000] Modules linked in: em_nbyte sch_htb sch_dsmark sch_gred em_meta sch_teql em_cmp cls_basic act_ipt sch_red sch_prio em_text sch_tbf sch_sfq act_police act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_fq_codel sch_codel sch_ingress usblp ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length xt_DSCP xt_dscp xt_string xt_layer7 ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_platform ehci_hcd pppox ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables sit tunnel4 tun ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211(O) compat(O) arc4 crypto_blkcipher aead ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[97071.040000] Call Trace:
[97071.040000] [<8006ddcc>] dump_stack+0x8/0x34
[97071.040000] [<8007668c>] warn_slowpath_common+0x78/0xa4
[97071.050000] [<80076740>] warn_slowpath_fmt+0x2c/0x38
[97071.050000] [<80cdaaa8>] ieee80211_rx+0x134/0x808 [mac80211]
[97071.060000] [<80d67480>] ath_rx_tasklet+0x1010/0x1114 [ath9k]
[97071.070000] [<80d64ccc>] ath9k_tasklet+0x110/0x16c [ath9k]
[97071.070000] [<8007d9ac>] tasklet_action+0x78/0xc8
[97071.080000] [<8007d1fc>] __do_softirq+0xb0/0x184
[97071.080000] [<8007d380>] do_softirq+0x48/0x68
[97071.080000] [<8007d59c>] irq_exit+0x4c/0x7c
[97071.090000] [<8006082c>] ret_from_irq+0x0/0x4
[97071.090000] [<80060a60>] r4k_wait+0x20/0x40
[97071.100000] [<8006b77c>] cpu_idle+0x30/0x60
[97071.100000] [<803108ec>] start_kernel+0x364/0x384
[97071.110000]
[97071.110000] ---[ end trace 77ebc82ecc9183eb ]---

comment:87 in reply to: ↑ 82 Changed 5 years ago by anonymous

Replying to gogothebee@…:

The script is ready. I'm testing it in a busy office on 2 routers. If it turns out successful, I'll post it here + instructions. On detection of this issue, the script stops the Wifi, unloads all ath9k related kernel modules, loads them again and brings the Wifi up. The whole procedure takes around 3s.

And, how did it work out?

comment:88 Changed 5 years ago by nbd

Please try latest trunk

comment:89 follow-up: Changed 5 years ago by duvi

Seems fine for me, 5 days uptime without this warning, let's hope it stays that way, thank you!

comment:90 in reply to: ↑ 89 Changed 5 years ago by anonymous

Replying to duvi:

Seems fine for me, 5 days uptime without this warning, let's hope it stays that way, thank you!

Still no problems? I don't feel like updating my router, but if this finally fixes the issues... :-)

comment:91 Changed 5 years ago by nbd

  • Resolution set to fixed
  • Status changed from reopened to closed

thanks for testing

comment:92 Changed 5 years ago by duvi

  • Resolution fixed deleted
  • Status changed from closed to reopened

...aaand we're back in the game (:
TL-WR1043ND, trunk r36545

[699812.350000] ------------[ cut here ]------------
[699812.350000] WARNING: at /home/duvi/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-04-16/net/mac80211/rx.c:3307 ieee80211_rx+0x134/0x804 [mac80211]()
[699812.370000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[699812.380000] Modules linked in: em_nbyte sch_dsmark sch_gred em_meta sch_htb sch_teql em_cmp act_ipt sch_red sch_prio em_text sch_tbf cls_basic sch_sfq act_police act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_codel sch_ingress usblp ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length xt_DSCP xt_dscp xt_string xt_layer7 ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_platform ehci_hcd pppox ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables sit tunnel4 tun ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base ts_fsm ts_bm ts_kmp crc_ccitt ipv6 cfg80211(O) compat(O) arc4 crypto_blkcipher aead ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[699812.500000] Call Trace:
[699812.500000] [<8006df08>] dump_stack+0x8/0x34
[699812.500000] [<8007680c>] warn_slowpath_common+0x78/0xa4
[699812.510000] [<800768c0>] warn_slowpath_fmt+0x2c/0x38
[699812.510000] [<80cdb780>] ieee80211_rx+0x134/0x804 [mac80211]
[699812.520000] [<81bc75a8>] ath_rx_tasklet+0xfe4/0x10c0 [ath9k]
[699812.530000] [<81bc4d40>] ath9k_tasklet+0x110/0x16c [ath9k]
[699812.530000] [<8007db54>] tasklet_action+0x78/0xc8
[699812.540000] [<8007d39c>] __do_softirq+0xb0/0x184
[699812.540000] [<8007d520>] do_softirq+0x48/0x68
[699812.550000] [<8007d73c>] irq_exit+0x4c/0x84
[699812.550000] [<8006082c>] ret_from_irq+0x0/0x4
[699812.550000] [<80060a60>] r4k_wait+0x20/0x40
[699812.560000] [<8006b870>] cpu_idle+0x30/0x60
[699812.560000] [<803148ec>] start_kernel+0x364/0x384
[699812.570000]
[699812.570000] ---[ end trace 01768ac2be8ec4bb ]---

comment:93 follow-up: Changed 5 years ago by hojuruku@…

nbd email me. I have the best chance of replicating the error. I'll give you access to a test environment including unix server and 3 tp-link ar71xx/ar9132 based routers, one you can do what you want with, and one with a serial console I'll share to you over the network. If the latest trunk is still broken i'll let you know shortly.

comment:94 Changed 5 years ago by anonymous

[60402.510000] ------------[ cut here ]------------

[60402.520000] WARNING: at /build/ar71xx/generic/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x81399fd4()
[60402.530000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 78 (0x4e)
[60402.540000] Modules linked in: ath79_wdt ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables sit tunnel4 ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) crc_ccitt ipv6 cfg80211(O) compat(O) arc4 aes_generic usb_storage ohci_hcd ehci_hcd sd_mod ext4 jbd2 mbcache usbcore usb_common scsi_mod nls_base crc16 crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[60402.600000] Call Trace:[<80284158>] 0x80284158
[60402.610000] [<80284158>] 0x80284158
[60402.610000] [<80071a0c>] 0x80071a0c
[60402.610000] [<81399fd4>] 0x81399fd4
[60402.620000] [<80071ac0>] 0x80071ac0
[60402.620000] [<81399fd4>] 0x81399fd4
[60402.620000] [<801e1ed4>] 0x801e1ed4
[60402.630000] [<801e3360>] 0x801e3360
[60402.630000] [<81de6d44>] 0x81de6d44
[60402.640000] [<81de4f98>] 0x81de4f98
[60402.640000] [<80076b10>] 0x80076b10
[60402.640000] [<80077038>] 0x80077038
[60402.650000] [<80077248>] 0x80077248
[60402.650000] [<800a85e0>] 0x800a85e0
[60402.650000] [<8007747c>] 0x8007747c
[60402.660000] [<800630ec>] 0x800630ec
[60402.660000] [<800632c0>] 0x800632c0
[60402.660000] [<80095320>] 0x80095320
[60402.670000] [<80064b28>] 0x80064b28
[60402.670000] [<800632e0>] 0x800632e0
[60402.670000] [<802f28b4>] 0x802f28b4
[60402.680000] [<80318850>] 0x80318850
[60402.680000] [<802f20dc>] 0x802f20dc
[60402.680000]
[60402.690000] ---[ end trace 2fd42ce2a0368963 ]---

comment:95 in reply to: ↑ 93 Changed 5 years ago by anonymous

Thanks a lot for that !!! I was wondering to do the same but my options did not allow it. Appreciated !

Replying to hojuruku@…:

nbd email me. I have the best chance of replicating the error. I'll give you access to a test environment including unix server and 3 tp-link ar71xx/ar9132 based routers, one you can do what you want with, and one with a serial console I'll share to you over the network. If the latest trunk is still broken i'll let you know shortly.

comment:96 Changed 5 years ago by anonymous

I'm using r36617 over here and after 8 days still no problems, even with previously problematic devices connected :-).

comment:97 follow-up: Changed 5 years ago by duvi

It's still there on r36656, so I guess you were simply lucky

comment:98 Changed 5 years ago by anonymous

This problem is still there in Attitude Adjustment 12.09 release:

[ 23.700000] br-lan: port 2(wlan0) entered forwarding state
[25711.820000] ------------[ cut here ]------------
[25711.830000] WARNING: at /build/ar71xx/generic/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x80c99fd4()
[25711.840000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 78 (0x4e)
[25711.850000] Modules linked in: ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_rtsp(O) nf_conntrack_rtsp(O) nf_nat_tftp nf_conntrack_tftp nf_nat_snmp_basic nf_conntrack_snmp nf_nat_sip nf_conntrack_sip nf_nat_pptp nf_conntrack_pptp nf_nat_h323 nf_conntrack_h323 nf_nat_proto_gre nf_conntrack_proto_gre nf_nat_amanda nf_conntrack_amanda nf_conntrack_broadcast nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length xt_DSCP xt_dscp xt_string xt_layer7 ipt_REDIRECT ipt_NETMAP ipt_MASQUERADE iptable_nat nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base ts_fsm ts_bm ts_kmp crc_ccitt cfg80211(O) compat(O) arc4 aes_generic crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[25711.950000] Call Trace:[<80284158>] 0x80284158
[25711.960000] [<80284158>] 0x80284158
[25711.960000] [<80071a0c>] 0x80071a0c
[25711.960000] [<80c99fd4>] 0x80c99fd4
[25711.970000] [<80071ac0>] 0x80071ac0
[25711.970000] [<801e26f8>] 0x801e26f8
[25711.970000] [<80c99fd4>] 0x80c99fd4
[25711.980000] [<801e25dc>] 0x801e25dc
[25711.980000] [<801e1ed4>] 0x801e1ed4
[25711.980000] [<81be6d44>] 0x81be6d44
[25711.990000] [<8009c728>] 0x8009c728
[25711.990000] [<80165ac4>] 0x80165ac4
[25711.990000] [<81be4f98>] 0x81be4f98
[25712.000000] [<80076b10>] 0x80076b10
[25712.000000] [<80077038>] 0x80077038
[25712.010000] [<80077248>] 0x80077248
[25712.010000] [<800a85e0>] 0x800a85e0
[25712.010000] [<8007747c>] 0x8007747c
[25712.020000] [<800630ec>] 0x800630ec
[25712.020000] [<800632c0>] 0x800632c0
[25712.020000] [<80095320>] 0x80095320
[25712.030000] [<800a8314>] 0x800a8314
[25712.030000] [<80064b28>] 0x80064b28
[25712.030000] [<800632e0>] 0x800632e0
[25712.040000] [<802f28b4>] 0x802f28b4
[25712.040000] [<80318850>] 0x80318850
[25712.040000] [<802f20dc>] 0x802f20dc
[25712.050000]
[25712.050000] ---[ end trace 2ae53c2cba3a8020 ]---

I am also getting those TX/RX DMA errors in the log.

For me 12.09 works worse than backfire 10.03.1 -- the router sometimes becomes unresponsive leading to a short loss of internet connectivity (wired and wireless). I cannot say what may be causing that.

comment:99 in reply to: ↑ 97 Changed 5 years ago by happel

Replying to duvi:

It's still there on r36656, so I guess you were simply lucky

I'm not sure I'm just lucky, even now a couple of weeks later I'm experiencing almost no issues.

Replying to anonymous:

For me 12.09 works worse than backfire 10.03.1 -- the router sometimes becomes unresponsive leading to a short loss of internet connectivity (wired and wireless). I cannot say what may be causing that.

Trunk (I'm at r36617) is way faster than attitude adjustment for me. Especially the webinterface is much more responsive. But the router always was extremely stable for me with 12.09 also.

Regarding the wireless issues:

I do get the occasional tx dma error (approx. once every week)

[1024302.160000] ath: phy0: Failed to stop TX DMA, queues=0x004!

And I have one particular macbook that sometimes can't connect to the wifi, with the error message 'Connection timed out'. But there's nothing in the logs of the router at that point. Restarting the wireless of the router is required to fix that issue though, so the router does have something to do with it.

All in all I'm quite happy with things as they are now, for me the wifi is way more stable than with 12.09, which in turn was way more stable than the original firmware.

comment:100 Changed 5 years ago by nbd

if you had some issues in previous tests, please try latest trunk to see if you can still reproduce this.

comment:101 Changed 5 years ago by anonymous

Could you please compile the latest trunk for "WZR-HP-G300NH" and probably other affected hardware? I'm not ready to do it on my own.

comment:102 Changed 5 years ago by nbd

  • Resolution set to no_response
  • Status changed from reopened to closed

snapshots have been up for a while now.

comment:103 Changed 4 years ago by clayman@…

  • Resolution no_response deleted
  • Status changed from closed to reopened

TP-Link WR941ND, trunk r37727

[402225.500000] ------------[ cut here ]------------
[402225.510000] WARNING: at /home/clayman/OpenWRT/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[402225.520000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)
[402225.530000] Modules linked in: ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 crc_ccitt ipv6 cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[402225.610000] CPU: 0 PID: 0 Comm: swapper Not tainted 3.10.4 #1
[402225.610000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80372a96 00000031
[402225.610000] 	  80303498 802b4194 80352a0c 8030321b 00000000 80c2dff0 80c7dd34 00000001
[402225.610000] 	  00000000 80079334 00000003 80076d74 00000000 00000000 802b5a90 802fdbbc
[402225.610000] 	  002fdbbc 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[402225.610000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 802fdb48
[402225.610000] 	  ...
[402225.650000] Call Trace:
[402225.650000] [<8006def0>] show_stack+0x48/0x70
[402225.660000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[402225.660000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[402225.670000] [<80d1caa4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[402225.670000] [<80ce6b24>] ath_rx_tasklet+0xe04/0xee0 [ath9k]
[402225.680000] [<80ce4548>] ath9k_tasklet+0xe8/0x140 [ath9k]
[402225.680000] [<8007e384>] tasklet_action+0x78/0xc8
[402225.690000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[402225.690000] [<8007df88>] irq_exit+0x54/0x70
[402225.700000] [<8006082c>] ret_from_irq+0x0/0x4
[402225.700000] [<80060a60>] __r4k_wait+0x20/0x40
[402225.710000] [<8009ecf0>] cpu_startup_entry+0xa0/0x108
[402225.710000] [<80319908>] start_kernel+0x380/0x3a0
[402225.720000] 
[402225.720000] ---[ end trace f5f54d386a0dc31d ]---

comment:104 Changed 4 years ago by duvi

True, TL-WR1043ND, r37699

[770532.780000] ------------[ cut here ]------------
[770532.780000] WARNING: at /home/duvi/openwrt/trunk/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[770532.800000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 78 (0x4e)
[770532.810000] Modules linked in: em_nbyte sch_dsmark sch_gred em_meta sch_htb sch_teql em_cmp act_ipt sch_red sch_prio em_text sch_codel sch_tbf cls_basic sch_sfq act_police act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcind
ex cls_flow cls_route cls_fw sch_hfsc sch_ingress usblp ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_string xt_REDIRECT ipt_MASQUERADE iptable_nat xt_nat nf_nat_ipv4 nf_nat xt_recent xt_helper
 xt_connmark xt_connbytes pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filte
r ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k ath9k_common ath9k_hw ath mac80211 ts_fsm ts_bm ts_kmp crc_ccitt cfg80211 compat arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platfor
m ehci_hcd gpio_button_hotplug usbcore usb_common nls_base
[770532.900000] CPU: 0 PID: 0 Comm: swapper Not tainted 3.10.4 #1
[770532.910000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80372a96 00000031
[770532.910000]           80305098 802b6370 80352a0c 80304e1b 00000000 80cbfaa8 00000000 80de5d34
[770532.910000]           00000001 80079334 00000003 80076d74 00000000 00000000 802b7c6c 802ffbb4
[770532.910000]           002ffbb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[770532.910000]           00000000 00000000 00000000 00000000 00000000 00000000 00000000 802ffb40
[770532.910000]           ...
[770532.940000] Call Trace:
[770532.940000] [<8006def0>] show_stack+0x48/0x70
[770532.950000] [<80076e70>] warn_slowpath_common+0x78/0xa8
[770532.950000] [<80076f28>] warn_slowpath_fmt+0x2c/0x38
[770532.960000] [<80d1b8c8>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[770532.970000] [<80c6774c>] ath_rx_tasklet+0xefc/0xfd8 [ath9k]
[770532.970000] [<80c64e68>] ath9k_tasklet+0x110/0x16c [ath9k]
[770532.980000] [<8007e384>] tasklet_action+0x78/0xc8
[770532.980000] [<8007dbb0>] __do_softirq+0xc8/0x1b4
[770532.990000] [<8007df88>] irq_exit+0x54/0x70
[770532.990000] [<8006082c>] ret_from_irq+0x0/0x4
[770533.000000] [<80060a60>] __r4k_wait+0x20/0x40
[770533.000000] [<8009ecf0>] cpu_startup_entry+0xa0/0x108
[770533.010000] [<8031a908>] start_kernel+0x380/0x3a0
[770533.010000]
[770533.010000] ---[ end trace a309c739d8f513b2 ]---
[784998.170000] ath: phy0: unsupported hw bitrate detected 0x27 using 1 Mbit

comment:105 Changed 4 years ago by anonymous

[72057.170000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[72182.410000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[138386.060000] ath: phy0: Failed to stop TX DMA, queues=0x004!
[138414.850000] ath: phy0: Failed to stop TX DMA, queues=0x100!
[342814.020000] ------------[ cut here ]------------
[342814.030000] WARNING: at /build/ar71xx/generic/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x80c99fd4()
[342814.040000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[342814.050000] Modules linked in: ath9k_htc(O) ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length xt_DSCP xt_dscp xt_string xt_layer7 ipt_MASQUERADE iptable_nat nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base ts_fsm ts_bm ts_kmp crc_ccitt cfg80211(O) compat(O) arc4 aes_generic crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[342814.120000] Call Trace:[<80284158>] 0x80284158
[342814.130000] [<80284158>] 0x80284158
[342814.130000] [<80071a0c>] 0x80071a0c
[342814.140000] [<80c99fd4>] 0x80c99fd4
[342814.140000] [<80071ac0>] 0x80071ac0
[342814.140000] [<80c99fd4>] 0x80c99fd4
[342814.150000] [<801e1ed4>] 0x801e1ed4
[342814.150000] [<81ba6d44>] 0x81ba6d44
[342814.150000] [<8009c728>] 0x8009c728
[342814.160000] [<80165ac4>] 0x80165ac4
[342814.160000] [<81ba4f98>] 0x81ba4f98
[342814.160000] [<80076b10>] 0x80076b10
[342814.170000] [<80077038>] 0x80077038
[342814.170000] [<80077248>] 0x80077248
[342814.180000] [<800a85e0>] 0x800a85e0
[342814.180000] [<8007747c>] 0x8007747c
[342814.180000] [<800630ec>] 0x800630ec
[342814.190000] [<800632c0>] 0x800632c0
[342814.190000] [<80095320>] 0x80095320
[342814.190000] [<80064b28>] 0x80064b28
[342814.200000] [<800632e0>] 0x800632e0
[342814.200000] [<802f28b4>] 0x802f28b4
[342814.200000] [<80318850>] 0x80318850
[342814.210000] [<802f20dc>] 0x802f20dc
[342814.210000]
[342814.210000] ---[ end trace b4f1df552a8ecccd ]---
[344181.510000] ------------[ cut here ]------------
[344181.510000] WARNING: at /build/ar71xx/generic/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x80c99fd4()
[344181.520000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[344181.530000] Modules linked in: ath9k_htc(O) ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length xt_DSCP xt_dscp xt_string xt_layer7 ipt_MASQUERADE iptable_nat nf_nat xt_recent xt_helper xt_connmark xt_connbytes pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ifb ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base ts_fsm ts_bm ts_kmp crc_ccitt cfg80211(O) compat(O) arc4 aes_generic crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[344181.610000] Call Trace:[<80284158>] 0x80284158
[344181.620000] [<80284158>] 0x80284158
[344181.620000] [<80071a0c>] 0x80071a0c
[344181.620000] [<80c99fd4>] 0x80c99fd4
[344181.630000] [<80071ac0>] 0x80071ac0
[344181.630000] [<80c99fd4>] 0x80c99fd4
[344181.630000] [<801e1ed4>] 0x801e1ed4
[344181.640000] [<81ba6d44>] 0x81ba6d44
[344181.640000] [<81ba4f98>] 0x81ba4f98
[344181.640000] [<80076b10>] 0x80076b10
[344181.650000] [<80077038>] 0x80077038
[344181.650000] [<80077248>] 0x80077248
[344181.650000] [<800a85e0>] 0x800a85e0
[344181.660000] [<8007747c>] 0x8007747c
[344181.660000] [<800630ec>] 0x800630ec
[344181.670000] [<800632c0>] 0x800632c0
[344181.670000] [<80095320>] 0x80095320
[344181.670000] [<80064b28>] 0x80064b28
[344181.680000] [<800632e0>] 0x800632e0
[344181.680000] [<802f28b4>] 0x802f28b4
[344181.680000] [<80318850>] 0x80318850
[344181.690000] [<802f20dc>] 0x802f20dc
[344181.690000]
[344181.690000] ---[ end trace b4f1df552a8eccce ]---
[344261.910000] ath: phy0: Failed to stop TX DMA, queues=0x100!

comment:106 Changed 4 years ago by anonymous

The rate information for an aggregate is valid only for the final subframe. Currently, ath9k parses the RX descriptor information for each MPDU it receives from the HW - until the RX logic in ath9k is rewritten and the status info of the final subframe applied to the previous subframes, this message will probably pop up.

comment:107 Changed 4 years ago by anonymous

Hello Guys,
I'm using openwrt 1209 Attitude Adjustment. ATTITUDE ADJUSTMENT (12.09, r36088)
Tp-Link wr1043nd

[42944.160000] ------------[ cut here ]------------
[42944.160000] WARNING: at /build/ar71xx/generic/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x80c99fd4()
[42944.180000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[42944.190000] Modules linked in: ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp ipt_MASQUERADE iptable_nat nf_nat pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic slhc ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base crc_ccitt cfg80211(O) compat(O) arc4 aes_generic crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[42944.240000] Call Trace:[<80284158>] 0x80284158
[42944.250000] [<80284158>] 0x80284158
[42944.250000] [<80071a0c>] 0x80071a0c
[42944.260000] [<80c99fd4>] 0x80c99fd4
[42944.260000] [<80071ac0>] 0x80071ac0
[42944.260000] [<80c99fd4>] 0x80c99fd4
[42944.270000] [<801e1ed4>] 0x801e1ed4
[42944.270000] [<801e3360>] 0x801e3360
[42944.270000] [<81ba6d44>] 0x81ba6d44
[42944.280000] [<800fcf38>] 0x800fcf38
[42944.280000] [<81ba4f98>] 0x81ba4f98
[42944.280000] [<80076b10>] 0x80076b10
[42944.290000] [<80077038>] 0x80077038
[42944.290000] [<80077248>] 0x80077248
[42944.290000] [<800a85e0>] 0x800a85e0
[42944.300000] [<8007747c>] 0x8007747c
[42944.300000] [<800630ec>] 0x800630ec
[42944.310000] [<800632c0>] 0x800632c0
[42944.310000] [<80095320>] 0x80095320
[42944.310000] [<80064b28>] 0x80064b28
[42944.320000] [<800632e0>] 0x800632e0
[42944.320000] [<802f28b4>] 0x802f28b4
[42944.320000] [<80318850>] 0x80318850
[42944.330000] [<802f20dc>] 0x802f20dc
[42944.330000]
[42944.330000] ---[ end trace ecf933e35c5fa9dd ]---

comment:108 Changed 4 years ago by nbd

There's no need to report more instances of the same bug in older revisions. Please only report things happening in current revisions.

comment:109 Changed 4 years ago by Flux

Hello!

I got this error on my TP-Link TL-WR1043N with the Firmware OpenWrt Barrier Breaker r37917.

[46238.640000] ------------[ cut here ]------------
[46238.640000] WARNING: at /home/fnord/slave/ar71xx/build/build_dir/target-mips_r2_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3315 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[46238.660000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[46238.670000] Modules linked in: ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_nat_ftp nf_conntrack_irc nf_conntrack_ftp xt_REDIRECT ipt_MASQUERADE iptable_nat nf_nat_ipv4 xt_nat nf_nat ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables nf_conntrack_ipv6 nf_defrag_ipv6 pppoe xt_conntrack xt_CT iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack pppox xt_mark xt_time ipt_REJECT xt_TCPMSS xt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables ppp_async ppp_generic cifs slhc ath9k ath9k_common ath9k_hw ath mac80211 crc_ccitt ipv6 cfg80211 compat sha256_generic md5 md4 hmac ecb des_generic arc4 crypto_blkcipher aead leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore usb_common nls_base crypto_hash
[46238.750000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W    3.10.10 #1
[46238.760000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80392a8e 0000003d
[46238.760000] 	  80323658 802d2cd4 80372a04 803233db 00000000 80c6d3c0 81bf1d34 00000001
[46238.760000] 	  00000400 800790b4 00000003 80076a6c 00000000 00000000 802d459c 8031dbbc
[46238.760000] 	  0031dbbc 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[46238.760000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 8031db48
[46238.760000] 	  ...
[46238.790000] Call Trace:
[46238.790000] [<8006e2f4>] show_stack+0x48/0x70
[46238.800000] [<80076bf0>] warn_slowpath_common+0x78/0xa8
[46238.800000] [<80076ca8>] warn_slowpath_fmt+0x2c/0x38
[46238.810000] [<80d1cbb4>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[46238.820000] [<80de6774>] ath_rx_tasklet+0xd38/0xe24 [ath9k]
[46238.820000] [<80de4458>] ath9k_tasklet+0xe8/0x140 [ath9k]
[46238.830000] [<8007e104>] tasklet_action+0x78/0xc8
[46238.830000] [<8007d930>] __do_softirq+0xc8/0x1b4
[46238.840000] [<8007dd08>] irq_exit+0x54/0x70
[46238.840000] [<8006082c>] ret_from_irq+0x0/0x4
[46238.840000] [<80060a60>] __r4k_wait+0x20/0x40
[46238.850000] [<8009eb84>] cpu_startup_entry+0xa0/0x108
[46238.850000] [<8033a908>] start_kernel+0x380/0x3a0
[46238.860000] 
[46238.860000] ---[ end trace f7c98c9e30439009 ]---

Have a nice day.

comment:110 Changed 4 years ago by anonymous

Surprisingly enough, I got all these issues on backfire (on whatever -rc I used) on my TL-WR1043N v1.8. They're now all gone with 12.09. My router is rock stable since a week.

Hope this helps.

comment:111 Changed 4 years ago by anonymous

TL-WR1043N + 12.09 -> syslog full of "... Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f) ..."

:)

comment:112 Changed 4 years ago by anonymous

After Upgrading my wr1043 with OpenWrt Barrier Breaker r38055 no Issues again! Thanks!

comment:113 Changed 4 years ago by nbd

  • Resolution set to fixed
  • Status changed from reopened to closed

comment:114 Changed 4 years ago by clayman@…

  • Resolution fixed deleted
  • Status changed from closed to reopened

TP-Link TL-WR941NDv3
OpenWrt Barrier Breaker r38328 / LuCI Trunk (svn-r9915)

[16680.200000] ------------[ cut here ]------------
[16680.200000] WARNING: at /home/clayman/OpenWRT/trunk/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3318 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[16680.220000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 78 (0x4e)
[16680.230000] Modules linked in: ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv4 mac80211 ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT slhc nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv4 nf_conntrack_irc nf_conntrack_ftp iptable_raw iptable_mangle iptable_filter ipt_REJECT ip_tables crc_ccitt compat ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables nf_conntrack_ipv6 nf_conntrack nf_defrag_ipv6 ipv6 arc4 crypto_blkcipher leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common crypto_hash
[16680.310000] CPU: 0 PID: 0 Comm: swapper Not tainted 3.10.13 #1
[16680.310000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80372a96 00000032
[16680.310000] 	  80303498 802b5394 80352a08 8030321b 00000000 00000000 00000001 81882010
[16680.310000] 	  80e69d34 80078f1c 00000003 8007695c 00000000 00000000 802b6c5c 802fdbb4
[16680.310000] 	  002fdbb4 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[16680.310000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 802fdb40
[16680.310000] 	  ...
[16680.350000] Call Trace:
[16680.350000] [<8006e15c>] show_stack+0x48/0x70
[16680.360000] [<80076a58>] warn_slowpath_common+0x78/0xa8
[16680.360000] [<80076b10>] warn_slowpath_fmt+0x2c/0x38
[16680.370000] [<80e1d0fc>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[16680.370000] [<80d46790>] ath_rx_tasklet+0xd24/0xe18 [ath9k]
[16680.380000] [<80d444b4>] ath9k_tasklet+0xe8/0x140 [ath9k]
[16680.380000] [<8007df6c>] tasklet_action+0x78/0xc8
[16680.390000] [<8007d798>] __do_softirq+0xc8/0x1b4
[16680.390000] [<8007db70>] irq_exit+0x54/0x70
[16680.400000] [<8006082c>] ret_from_irq+0x0/0x4
[16680.400000] [<80060a60>] __r4k_wait+0x20/0x40
[16680.400000] [<8009ea08>] cpu_startup_entry+0xa0/0x108
[16680.410000] [<80319908>] start_kernel+0x380/0x3a0
[16680.410000] 
[16680.420000] ---[ end trace 2bf85fdd3ed582cb ]---

comment:115 Changed 4 years ago by duvi

Yes, BB r38413, TL-WR1043ND:

[287609.510000] ------------[ cut here ]------------
[287609.510000] WARNING: at /home/duvi/openwrt/trunk/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2013-06-27/net/mac80211/rx.c:3318 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[287609.530000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[287609.540000] Modules linked in: ath9k pppoe ppp_async iptable_nat ath9k_common pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv4 mac80211 ipt_MASQUERADE cfg80211 ath9k_hw xt_time xt_tcpudp xt_string xt_state xt_recent xt_nat xt_multiport xt_mark xt_mac xt_limit xt_helper xt_conntrack xt_connmark xt_connbytes xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT usblp ts_kmp ts_fsm ts_bm slhc nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv4 nf_conntrack_irc nf_conntrack_ftp iptable_raw iptable_mangle iptable_filter ipt_REJECT ip_tables crc_ccitt compat ath em_nbyte sch_dsmark sch_gred em_meta sch_htb sch_teql em_cmp act_ipt x_tables sch_red sch_prio em_text sch_codel sch_tbf cls_basic sch_sfq act_police act_connmark nf_conntrack act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress ledtrig_usbdev ledtrig_netdev ipv6 arc4 crypto_blkcipher leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common crypto_hash
[287609.630000] CPU: 0 PID: 0 Comm: swapper Not tainted 3.10.15 #1
[287609.640000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382a96 00000032
[287609.640000]           80307498 802b96d8 80362a08 8030721b 00000000 00000800 00000001 0000001e
[287609.640000]           81884010 80078f1c 00000003 8007695c 00000000 00000000 802bafa0 80301bac
[287609.640000]           00301bac 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[287609.640000]           00000000 00000000 00000000 00000000 00000000 00000000 00000000 80301b38
[287609.640000]           ...
[287609.670000] Call Trace:
[287609.680000] [<8006e15c>] show_stack+0x48/0x70
[287609.680000] [<80076a58>] warn_slowpath_common+0x78/0xa8
[287609.690000] [<80076b10>] warn_slowpath_fmt+0x2c/0x38
[287609.690000] [<80edbf10>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[287609.700000] [<80e875a4>] ath_rx_tasklet+0xe14/0xf08 [ath9k]
[287609.700000] [<80e85010>] ath9k_tasklet+0x110/0x180 [ath9k]
[287609.710000] [<8007df6c>] tasklet_action+0x78/0xc8
[287609.710000] [<8007d798>] __do_softirq+0xc8/0x1b4
[287609.720000] [<8007db70>] irq_exit+0x54/0x70
[287609.720000] [<8006082c>] ret_from_irq+0x0/0x4
[287609.730000] [<80060a60>] __r4k_wait+0x20/0x40
[287609.730000] [<8009eabc>] cpu_startup_entry+0xa0/0x108
[287609.740000] [<8031d908>] start_kernel+0x380/0x3a0
[287609.740000]
[287609.740000] ---[ end trace 13bfba34b79f0061 ]---
root@OpenWrt:~# cat /etc/config/wireless
config wifi-device      'radio0'
        option disabled '0'
        option type     'mac80211'
        option path     'platform/ath9k'
        option hwmode   '11ng'
        option htmode   'HT20'
        option noscan   '0'
        option channel  '1'
        option txpower  '20'
        list ht_capab   'SHORT-GI-40'
        list ht_capab   'DSSS_CCK-40'

config wifi-iface
        option device   'radio0'
        option mode     'ap'
        option network  'lan'
        option ssid     '###########'
        option encryption       'psk-mixed'
        option key      '###########'
        option wpa_group_rekey  '3600'

config wifi-iface
        option device   'radio0'
        option mode     'ap'
        option network  'pub'
        option ssid     '###########'
        option encryption       'psk-mixed'
        option key      '###########'
        option wpa_group_rekey  '3600'

comment:116 Changed 4 years ago by robin

One week old trunk:

compat-wireless-2013-06-27/net/mac80211/rx.c:3318 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
Tue Oct 22 12:20:42 2013 kern.warn kernel: [364075.790000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)

comment:117 Changed 4 years ago by anonymous

This problem still exists on DIR-615 C1 at r39583. Only solution seems to be to set hwmode to 11bg.

comment:118 Changed 4 years ago by nbd

please try r39688 or newer

comment:119 Changed 4 years ago by duvi

Finally, after 11 days uptime, r39708, same device and config as comment:115

[985939.770000] ------------[ cut here ]------------
[985939.780000] WARNING: at /mnt/sda/openwrt/trunk/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2014-01-23.1/net/mac80211/rx.c:3397 mac80211_ieee80211_rx+0x134/0x800 [mac80211]()
[985939.800000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[985939.810000] Modules linked in: ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv4 mac80211 ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_string xt_state xt_recent xt_nat xt_multiport xt_mark xt_mac xt_limit xt_layer7 xt_helper xt_conntrack xt_connmark xt_connbytes xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT usblp ts_kmp ts_fsm ts_bm slhc nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv4 nf_conntrack_irc nf_conntrack_ftp iptable_raw iptable_mangle iptable_filter ipt_REJECT ip_tables crc_ccitt compat em_nbyte sch_htb sch_gred em_meta sch_dsmark sch_teql em_cmp cls_basic act_ipt sch_tbf em_text sch_codel sch_red sch_sfq act_police sch_prio act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress ledtrig_usbdev ledtrig_netdev ip6t_REJECT ip6t_rt ip6t_hbh ip6t_mh ip6t_ipv6header ip6t_frag ip6t_eui64 ip6t_ah ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables nf_conntrack_ipv6 nf_conntrack nf_defrag_ipv6 ipv6 arc4 crypto_blkcipher leds_gpio ohci_hcd ledtrig_timer ledtrig_default_on ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common
[985939.910000] CPU: 0 PID: 0 Comm: swapper Not tainted 3.10.32 #1
[985939.920000] Stack : 00000006 00000000 00000000 00000000 00000000 00000000 80382ac6 00000032
[985939.920000]           80309498 802bad6c 80362a38 8030921b 00000000 00000000 00000001 81884010
[985939.920000]           80f65d74 80079038 00000003 80076a78 00000000 00000000 802bc698 80303b94
[985939.920000]           00303b94 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[985939.920000]           00000000 00000000 00000000 00000000 00000000 00000000 00000000 80303b20
[985939.920000]           ...
[985939.950000] Call Trace:
[985939.950000] [<8006e278>] show_stack+0x48/0x70
[985939.960000] [<80076b74>] warn_slowpath_common+0x78/0xa8
[985939.960000] [<80076c2c>] warn_slowpath_fmt+0x2c/0x38
[985939.970000] [<80e9e0d0>] mac80211_ieee80211_rx+0x134/0x800 [mac80211]
[985939.980000] [<80dc794c>] ath_rx_tasklet+0xe04/0xf00 [ath9k]
[985939.980000] [<80dc4a9c>] ath9k_tasklet+0x23c/0x2c8 [ath9k]
[985939.990000] [<8007e088>] tasklet_action+0x78/0xc8
[985939.990000] [<8007d8b4>] __do_softirq+0xc8/0x1b4
[985940.000000] [<8007da50>] do_softirq+0x48/0x68
[985940.000000] [<8007dc8c>] irq_exit+0x54/0x70
[985940.010000] [<8006082c>] ret_from_irq+0x0/0x4
[985940.010000] [<80060a60>] __r4k_wait+0x20/0x40
[985940.010000] [<8009ec4c>] cpu_startup_entry+0xa0/0x108
[985940.020000] [<8031f908>] start_kernel+0x380/0x3a0
[985940.020000]
[985940.030000] ---[ end trace c3315fafd9c14946 ]---

comment:120 Changed 4 years ago by anonymous

4 years this is absurdly. can somebody do something? may be somebody can say something about this chip, that this chip is buggy? any info/tech details. what is wrong with the standart behavior of this chip. how it shoud work? any links/refs?
may be there is exists a way to embed some temporary workaround to kernel/modules? i used many scripts to track and help to restart wifi/networking, but this solution isn't helps if i need continuous wifi session. this ticket contains enough logs. a had the same...but 4 years this is looks absurdly.

comment:121 follow-up: Changed 4 years ago by 2pashka@…

Same thing.

root@tiny:~# cat /etc/openwrt_release
DISTRIB_ID="OpenWrt"
DISTRIB_RELEASE="12.09"
DISTRIB_REVISION="r36088"
DISTRIB_CODENAME="attitude_adjustment"
DISTRIB_TARGET="ar71xx/generic"
DISTRIB_DESCRIPTION="OpenWrt Attitude Adjustment 12.09"
root@tiny:~# cat /etc/config/wireless

config wifi-device 'radio0'
        option type 'mac80211'
        option macaddr 'xx:xx:xx:xx:xx:xx'
        option hwmode '11ng'
        option htmode 'HT20'
        list ht_capab 'SHORT-GI-40'
        list ht_capab 'DSSS_CCK-40'
        option country 'US'
        option channel '1'
        option txpower '25'
        option noscan '1'

config wifi-iface
        option device 'radio0'
        option network 'lan'
        option mode 'ap'
        option ssid 'xxxxx'
        option encryption 'psk2+ccmp'
        option key 'xxxxxxxxxxxxxxxx'

config wifi-iface
        option device 'radio0'
        option mode 'ap'
        option encryption 'none'
        option ssid 'xxxxxxxx'
        option network 'public'
Apr  2 10:41:14 tiny kern.warn kernel: [70251.570000] ------------[ cut here ]------------
Apr  2 10:41:14 tiny kern.warn kernel: [70251.580000] WARNING: at /build/ar71xx/generic/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x80d59fd4()
Apr  2 10:41:14 tiny kern.warn kernel: [70251.590000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
Apr  2 10:41:14 tiny kern.warn kernel: [truncated] [70251.600000] Modules linked in: act_police cls_u32 sch_htb sch_sfq sch_ingress ums_usbat ums_sddr55 ums_sddr09 ums_karma ums_jumpshot ums_isd200 ums_freecom ums_datafab ums_cypress ums_alauda ath79_wdt ledtrig_usbd
Apr  2 10:41:14 tiny kern.warn kernel: [70251.690000] Call Trace:[<80284158>] 0x80284158
Apr  2 10:41:14 tiny kern.warn kernel: [70251.690000] [<80284158>] 0x80284158
Apr  2 10:41:14 tiny kern.warn kernel: [70251.700000] [<80071a0c>] 0x80071a0c
Apr  2 10:41:14 tiny kern.warn kernel: [70251.700000] [<80d59fd4>] 0x80d59fd4
Apr  2 10:41:14 tiny kern.warn kernel: [70251.700000] [<80071ac0>] 0x80071ac0
Apr  2 10:41:14 tiny kern.warn kernel: [70251.710000] [<80d59fd4>] 0x80d59fd4
Apr  2 10:41:14 tiny kern.warn kernel: [70251.710000] [<801e1ed4>] 0x801e1ed4
Apr  2 10:41:14 tiny kern.warn kernel: [70251.740000] [<80077248>] 0x80077248
Apr  2 10:41:14 tiny kern.warn kernel: [70251.740000] [<800a85e0>] 0x800a85e0
Apr  2 10:41:14 tiny kern.warn kernel: [70251.740000] [<8007747c>] 0x8007747c
Apr  2 10:41:14 tiny kern.warn kernel: [70251.750000] [<800630ec>] 0x800630ec
Apr  2 10:41:14 tiny kern.warn kernel: [70251.750000] [<800632c0>] 0x800632c0
Apr  2 10:41:14 tiny kern.warn kernel: [70251.750000] [<80095320>] 0x80095320
Apr  2 10:41:14 tiny kern.warn kernel: [70251.760000] [<80064b28>] 0x80064b28
Apr  2 10:41:14 tiny kern.warn kernel: [70251.760000] [<800632e0>] 0x800632e0
Apr  2 10:41:14 tiny kern.warn kernel: [70251.760000] [<802f28b4>] 0x802f28b4
Apr  2 10:41:14 tiny kern.warn kernel: [70251.770000] [<80318850>] 0x80318850
Apr  2 10:41:14 tiny kern.warn kernel: [70251.770000] [<802f20dc>] 0x802f20dc
Apr  2 10:41:14 tiny kern.warn kernel: [70251.780000]
Apr  2 10:41:14 tiny kern.warn kernel: [70251.780000] ---[ end trace 5283e57ffe3396de ]---

comment:122 in reply to: ↑ 121 Changed 4 years ago by anonymous

This release is too old and no longer supported.

Replying to 2pashka@…:

Same thing.

root@tiny:~# cat /etc/openwrt_release
DISTRIB_ID="OpenWrt"
DISTRIB_RELEASE="12.09"
DISTRIB_REVISION="r36088"
DISTRIB_CODENAME="attitude_adjustment"
DISTRIB_TARGET="ar71xx/generic"
DISTRIB_DESCRIPTION="OpenWrt Attitude Adjustment 12.09"
root@tiny:~# cat /etc/config/wireless

config wifi-device 'radio0'
        option type 'mac80211'
        option macaddr 'xx:xx:xx:xx:xx:xx'
        option hwmode '11ng'
        option htmode 'HT20'
        list ht_capab 'SHORT-GI-40'
        list ht_capab 'DSSS_CCK-40'
        option country 'US'
        option channel '1'
        option txpower '25'
        option noscan '1'

config wifi-iface
        option device 'radio0'
        option network 'lan'
        option mode 'ap'
        option ssid 'xxxxx'
        option encryption 'psk2+ccmp'
        option key 'xxxxxxxxxxxxxxxx'

config wifi-iface
        option device 'radio0'
        option mode 'ap'
        option encryption 'none'
        option ssid 'xxxxxxxx'
        option network 'public'
Apr  2 10:41:14 tiny kern.warn kernel: [70251.570000] ------------[ cut here ]------------
Apr  2 10:41:14 tiny kern.warn kernel: [70251.580000] WARNING: at /build/ar71xx/generic/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x80d59fd4()
Apr  2 10:41:14 tiny kern.warn kernel: [70251.590000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
Apr  2 10:41:14 tiny kern.warn kernel: [truncated] [70251.600000] Modules linked in: act_police cls_u32 sch_htb sch_sfq sch_ingress ums_usbat ums_sddr55 ums_sddr09 ums_karma ums_jumpshot ums_isd200 ums_freecom ums_datafab ums_cypress ums_alauda ath79_wdt ledtrig_usbd
Apr  2 10:41:14 tiny kern.warn kernel: [70251.690000] Call Trace:[<80284158>] 0x80284158
Apr  2 10:41:14 tiny kern.warn kernel: [70251.690000] [<80284158>] 0x80284158
Apr  2 10:41:14 tiny kern.warn kernel: [70251.700000] [<80071a0c>] 0x80071a0c
Apr  2 10:41:14 tiny kern.warn kernel: [70251.700000] [<80d59fd4>] 0x80d59fd4
Apr  2 10:41:14 tiny kern.warn kernel: [70251.700000] [<80071ac0>] 0x80071ac0
Apr  2 10:41:14 tiny kern.warn kernel: [70251.710000] [<80d59fd4>] 0x80d59fd4
Apr  2 10:41:14 tiny kern.warn kernel: [70251.710000] [<801e1ed4>] 0x801e1ed4
Apr  2 10:41:14 tiny kern.warn kernel: [70251.740000] [<80077248>] 0x80077248
Apr  2 10:41:14 tiny kern.warn kernel: [70251.740000] [<800a85e0>] 0x800a85e0
Apr  2 10:41:14 tiny kern.warn kernel: [70251.740000] [<8007747c>] 0x8007747c
Apr  2 10:41:14 tiny kern.warn kernel: [70251.750000] [<800630ec>] 0x800630ec
Apr  2 10:41:14 tiny kern.warn kernel: [70251.750000] [<800632c0>] 0x800632c0
Apr  2 10:41:14 tiny kern.warn kernel: [70251.750000] [<80095320>] 0x80095320
Apr  2 10:41:14 tiny kern.warn kernel: [70251.760000] [<80064b28>] 0x80064b28
Apr  2 10:41:14 tiny kern.warn kernel: [70251.760000] [<800632e0>] 0x800632e0
Apr  2 10:41:14 tiny kern.warn kernel: [70251.760000] [<802f28b4>] 0x802f28b4
Apr  2 10:41:14 tiny kern.warn kernel: [70251.770000] [<80318850>] 0x80318850
Apr  2 10:41:14 tiny kern.warn kernel: [70251.770000] [<802f20dc>] 0x802f20dc
Apr  2 10:41:14 tiny kern.warn kernel: [70251.780000]
Apr  2 10:41:14 tiny kern.warn kernel: [70251.780000] ---[ end trace 5283e57ffe3396de ]---

comment:123 follow-ups: Changed 4 years ago by anonymous

Hm. I downloaded last stable from http://downloads.openwrt.org/attitude_adjustment/12.09/ar71xx/generic/openwrt-ar71xx-generic-tl-wr1043nd-v1-squashfs-factory.bin
Thank you for advise - will make hand maded custom and try again.

comment:124 in reply to: ↑ 123 Changed 4 years ago by anonymous

Again, this is not supported anymore, try the last version:
http://downloads.openwrt.org/snapshots/trunk/ar71xx/

Replying to anonymous:

Hm. I downloaded last stable from http://downloads.openwrt.org/attitude_adjustment/12.09/ar71xx/generic/openwrt-ar71xx-generic-tl-wr1043nd-v1-squashfs-factory.bin
Thank you for advise - will make hand maded custom and try again.

comment:125 in reply to: ↑ 123 Changed 4 years ago by anonymous

Again, this is not supported anymore, try the last version:
http://downloads.openwrt.org/snapshots/trunk/ar71xx/

Replying to anonymous:

Hm. I downloaded last stable from http://downloads.openwrt.org/attitude_adjustment/12.09/ar71xx/generic/openwrt-ar71xx-generic-tl-wr1043nd-v1-squashfs-factory.bin
Thank you for advise - will make hand maded custom and try again.

comment:126 follow-up: Changed 4 years ago by anonymous

Again, this is not supported anymore, try the last version:

http://downloads.openwrt.org/snapshots/trunk/ar71xx/

Attitude Adjustment is a stable version of OpenWRT and it's supported.

I don't know what you're talking about, but barrier breaker is not safe enough because of the new features introduced and not well tested.

I own WNDR3800 and I see on AA 12.09 (r36088) happening this once in a while..

Very sad this bug wasn't fixed since 4 years.

Connectivity is broken when bug is triggered, so I have to re-connect over wifi..

[757154.810000] ------------[ cut here ]------------
[757154.820000] WARNING: at /build/ar71xx/generic/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x870d9fd4()
[757154.830000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 127 (0x7f)
[757154.840000] Modules linked in: usblp ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp xt_iprange xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length xt_DSCP xt_dscp ipt_MASQUERADE iptable_nat nf_nat l2tp_ppp pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables l2tp_netlink l2tp_core tun ppp_async ppp_generic slhc loop ext4 jbd2 mbcache dm_crypt dm_mirror dm_region_hash dm_log dm_mod ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base crc16 crc_ccitt cfg80211(O) compat(O) chainiv eseqiv crypto_wq algif_skcipher algif_hash af_alg sha1_generic krng rng cbc arc4 aes_generic crypto_blkcipher cryptomgr aead crypto_hash crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[757154.930000] Call Trace:[<80284158>] 0x80284158
[757154.940000] [<80284158>] 0x80284158
[757154.940000] [<80071a0c>] 0x80071a0c
[757154.940000] [<870d9fd4>] 0x870d9fd4
[757154.950000] [<80071ac0>] 0x80071ac0
[757154.950000] [<870d9fd4>] 0x870d9fd4
[757154.950000] [<800a6d70>] 0x800a6d70
[757154.960000] [<801e1ed4>] 0x801e1ed4
[757154.960000] [<870a6d44>] 0x870a6d44
[757154.960000] [<870a4f98>] 0x870a4f98
[757154.970000] [<80076b10>] 0x80076b10
[757154.970000] [<80077038>] 0x80077038
[757154.970000] [<800a6d70>] 0x800a6d70
[757154.980000] [<80077248>] 0x80077248
[757154.980000] [<800a85e0>] 0x800a85e0
[757154.990000] [<8007747c>] 0x8007747c
[757154.990000] [<800630ec>] 0x800630ec
[757154.990000] [<800632c0>] 0x800632c0
[757155.000000] [<80095320>] 0x80095320
[757155.000000] [<80064b28>] 0x80064b28
[757155.000000] [<800632e0>] 0x800632e0
[757155.010000] [<802f28b4>] 0x802f28b4
[757155.010000] [<80318850>] 0x80318850
[757155.010000] [<802f20dc>] 0x802f20dc
[757155.020000] 
[757155.020000] ---[ end trace a98cfba41d782670 ]---

any chance of porting original Netgear WNDR3800 wi-fi drivers into OpenWRT?

comment:127 in reply to: ↑ 126 Changed 4 years ago by anonymous

AA it's not supported anymore, sorry.

This bug will move to 5, 10, 15, 20 years and will not be fixed in AA, stay in it if you want to and keep restarting the interface. It's already fixed on the last trunk version, if you find any issues open a ticket and report it, this way you help the developers to improve Openwrt.

Don't forget that the trunk version doesn't have the luci interface, you'll have to install it with opkg install luci.

Replying to anonymous:

Attitude Adjustment is a stable version of OpenWRT and it's supported.

I don't know what you're talking about, but barrier breaker is not safe enough because of the new features introduced and not well tested.

I own WNDR3800 and I see on AA 12.09 (r36088) happening this once in a while..

Very sad this bug wasn't fixed since 4 years.

Connectivity is broken when bug is triggered, so I have to re-connect over wifi..

[757154.810000] ------------[ cut here ]------------
[757154.820000] WARNING: at /build/ar71xx/generic/build_dir/linux-ar71xx_generic/compat-wireless-2012-09-07/net/mac80211/rx.c:3087 0x870d9fd4()
[757154.830000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 127 (0x7f)
[757154.840000] Modules linked in: usblp ath79_wdt ohci_hcd ledtrig_usbdev ledtrig_netdev nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp xt_iprange xt_HL xt_hl xt_ecn ipt_ECN xt_CLASSIFY xt_time xt_tcpmss xt_statistic xt_mark xt_length xt_DSCP xt_dscp ipt_MASQUERADE iptable_nat nf_nat l2tp_ppp pppoe xt_conntrack xt_CT xt_NOTRACK iptable_raw xt_state nf_conntrack_ipv4 nf_defrag_ipv4 nf_conntrack ehci_hcd pppox ipt_REJECT xt_TCPMSS ipt_LOG xt_comment xt_multiport xt_mac xt_limit iptable_mangle iptable_filter ip_tables xt_tcpudp x_tables l2tp_netlink l2tp_core tun ppp_async ppp_generic slhc loop ext4 jbd2 mbcache dm_crypt dm_mirror dm_region_hash dm_log dm_mod ath9k(O) ath9k_common(O) ath9k_hw(O) ath(O) mac80211(O) usbcore usb_common nls_base crc16 crc_ccitt cfg80211(O) compat(O) chainiv eseqiv crypto_wq algif_skcipher algif_hash af_alg sha1_generic krng rng cbc arc4 aes_generic crypto_blkcipher cryptomgr aead crypto_hash crypto_algapi ledtrig_timer ledtrig_default_on leds_gpio gpio_button_hotplug(O)
[757154.930000] Call Trace:[<80284158>] 0x80284158
[757154.940000] [<80284158>] 0x80284158
[757154.940000] [<80071a0c>] 0x80071a0c
[757154.940000] [<870d9fd4>] 0x870d9fd4
[757154.950000] [<80071ac0>] 0x80071ac0
[757154.950000] [<870d9fd4>] 0x870d9fd4
[757154.950000] [<800a6d70>] 0x800a6d70
[757154.960000] [<801e1ed4>] 0x801e1ed4
[757154.960000] [<870a6d44>] 0x870a6d44
[757154.960000] [<870a4f98>] 0x870a4f98
[757154.970000] [<80076b10>] 0x80076b10
[757154.970000] [<80077038>] 0x80077038
[757154.970000] [<800a6d70>] 0x800a6d70
[757154.980000] [<80077248>] 0x80077248
[757154.980000] [<800a85e0>] 0x800a85e0
[757154.990000] [<8007747c>] 0x8007747c
[757154.990000] [<800630ec>] 0x800630ec
[757154.990000] [<800632c0>] 0x800632c0
[757155.000000] [<80095320>] 0x80095320
[757155.000000] [<80064b28>] 0x80064b28
[757155.000000] [<800632e0>] 0x800632e0
[757155.010000] [<802f28b4>] 0x802f28b4
[757155.010000] [<80318850>] 0x80318850
[757155.010000] [<802f20dc>] 0x802f20dc
[757155.020000] 
[757155.020000] ---[ end trace a98cfba41d782670 ]---

any chance of porting original Netgear WNDR3800 wi-fi drivers into OpenWRT?

comment:128 Changed 4 years ago by anonymous

AA it's not supported anymore, sorry.

This bug will move to 5, 10, 15, 20 years and will not be fixed in AA, stay in it if >you want to and keep restarting the interface. It's already fixed on the last trunk >version, if you find any issues open a ticket and report it, this way you help the >developers to improve Openwrt.

Don't forget that the trunk version doesn't have the luci interface, you'll have to >install it with opkg install luci.

I'll check trunk version later, but I doubt it's fixed in trunk.

comment:129 Changed 4 years ago by anonymous

all of links on (wiki).openwrt.org steel feeds AA. thats why everybody asks about AA

comment:130 Changed 4 years ago by anonymous

AA is the latest version available, and even if not, the latest release is only 1 year old, what do you mean by "AA is not supported anymore"? And why not posting the patch instead of just insistently refusing to help?

comment:131 Changed 4 years ago by anonymous

The bug still happens here with a WRT160NL router, using trunk, "r41591".

[150982.960000] ------------[ cut here ]------------
[150982.970000] WARNING: at /mnt/tempwork/openwrt/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2014-05-22/net/mac80211/rx.c:3372 ieee80211_rx+0x13c/0x7f8 [mac80211]()
[150982.990000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 77 (0x4d)
[150983.000000] Modules linked in: ath9k ath9k_common ath9k_hw ath mac80211 cfg80211 ifb pppoe ppp_async iptable_nat rndis_host pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv4 ipt_MASQUERADE cdc_ether xt_time xt_tcpudp xt_tcpmss xt_string xt_statistic xt_state xt_recent xt_nat xt_multiport xt_mark xt_mac xt_limit xt_length xt_hl xt_helper xt_ecn xt_dscp xt_conntrack xt_connmark xt_connlimit xt_connbytes xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_HL xt_DSCP xt_CT xt_CLASSIFY usbnet ts_kmp ts_fsm ts_bm slhc nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv4 nf_conntrack_irc nf_conntrack_ftp iptable_raw iptable_mangle iptable_filter ipt_REJECT ipt_ECN ip_tables crc_ccitt compat sch_teql em_nbyte sch_htb sch_prio sch_tbf sch_dsmark sch_gred em_meta cls_basic act_ipt em_text sch_codel sch_red sch_sfq act_police em_cmp act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress ip6t_REJECT ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables nf_conntrack_ipv6 nf_conntrack nf_defrag_ipv6 dm_crypt dm_mirror dm_region_hash dm_log dm_mod ipv6 chainiv eseqiv xts gf128mul crypto_wq krng rng arc4 crypto_blkcipher usb_storage ehci_platform ehci_hcd sd_mod scsi_mod gpio_button_hotplug xfs libcrc32c usbcore nls_base usb_common exportfs crc32c crypto_hash [last unloaded: cfg80211]
[150983.110000] CPU: 0 PID: 0 Comm: swapper Tainted: G W 3.10.44 #16
[150983.120000] Stack : 00000000 00000000 00000000 00000000 80372eba 0000003e 80317498 80ef9d70
[150983.120000] 802c7ca0 8031721b 00000000 80372664 80317498 80ef9d70 00000000 81b64a98
[150983.120000] 80390000 80078f34 00000003 80076940 c0a332ec 80ef9d70 802c9560 80311bac
[150983.120000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[150983.120000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 80311b38
[150983.120000] ...
[150983.160000] Call Trace:
[150983.160000] [<8006e200>] show_stack+0x48/0x70
[150983.160000] [<80076ab0>] warn_slowpath_common+0x78/0xa8
[150983.170000] [<80076b0c>] warn_slowpath_fmt+0x2c/0x38
[150983.170000] [<c0a07278>] ieee80211_rx+0x13c/0x7f8 [mac80211]
[150983.180000] [<80586410>] ath_rx_tasklet+0x96c/0x9b8 [ath9k]
[150983.190000] [<80583cd0>] ath9k_tasklet+0x1ac/0x230 [ath9k]
[150983.190000] [<8007e06c>] tasklet_action+0x84/0xcc
[150983.200000] [<8007d868>] do_softirq+0xd0/0x1bc
[150983.200000] [<8007d9f4>] do_softirq+0x48/0x68
[150983.210000] [<8007dc28>] irq_exit+0x54/0x70
[150983.210000] [<80060830>] ret_from_irq+0x0/0x4
[150983.210000] [<80060a80>]
r4k_wait+0x20/0x40
[150983.220000] [<8009eed0>] cpu_startup_entry+0xa4/0x104
[150983.220000] [<8032d910>] start_kernel+0x38c/0x3a4
[150983.230000]
[150983.230000] ---[ end trace 3960137b9e2023d4 ]---

comment:132 follow-up: Changed 4 years ago by wrt160nl

Ofcourse it still happens.

I have restored the original firmware on my linksys wrt160nl. It still gets drops in wireless from time to time for 1 sec (drops in signal quality), but at least it is usable.

And in case you guys didn't figure it out until now these bugs will not be fixed. Just get another / newer router with a so called "bug free" wifi card and be done with it.

Nobody seems to care about these bugs - from the producers to the devs.

comment:133 in reply to: ↑ 132 ; follow-up: Changed 4 years ago by anonymous

I don't think so. For example a patch to ath9k (commit 1f146237afe27d7ecce8846323d3ff40309f7fec) fixing some tx bugs was applied yesterday, I will try it this weekend, just for fun :) .

Anyway this is free software and I haven't paid for it, so I don't see any reason to be angry with the openwrt devs. If you want stability use another and more stable revision/router, for example r33777 (A bit old) worked fine here, or maybe we can organize some bounty system for this kind of painful bugs :).

Replying to wrt160nl:

Ofcourse it still happens.

I have restored the original firmware on my linksys wrt160nl. It still gets drops in wireless from time to time for 1 sec (drops in signal quality), but at least it is usable.

And in case you guys didn't figure it out until now these bugs will not be fixed. Just get another / newer router with a so called "bug free" wifi card and be done with it.

Nobody seems to care about these bugs - from the producers to the devs.

Changed 4 years ago by vquicksilver

comment:134 Changed 4 years ago by vquicksilver

I added a little patch to see if we can debug this problem, it's based in this patch https://bugzilla.kernel.org/attachment.cgi?id=29972&action=diff , in this bug https://bugzilla.kernel.org/show_bug.cgi?id=14930. In my case the failure looks like a regression of this bug. So maybe obtaining some info can help the developers. I will post more info soon.

Last edited 4 years ago by vquicksilver (previous) (diff)

Changed 4 years ago by vquicksilver

comment:135 Changed 4 years ago by vquicksilver

Sorry the previous patch was intended for patching the kernel, but OpenWRT uses the drivers in compat-wireless the following patch should work as expected for debugging (I compiled trunk r41677 with it), just copy it to ./package/kernel/mac80211/patches/568-ath9k-debug.patch and build trunk with it. (Yeah I'm a newbie with all this things sorry for that).

--- a/drivers/net/wireless/ath/ath9k/mac.c	2014-07-17 12:13:38.018628305 +0200
+++ b/drivers/net/wireless/ath/ath9k/mac.c	2014-07-17 11:59:25.328937179 +0200
@@ -591,6 +591,21 @@
 	rs->rs_flags |=
 		(ads.ds_rxstatus3 & AR_2040) ? ATH9K_RX_2040 : 0;
 
+	/* Debug patch */
+	if( (rs->rs_rate & 0x80) ) {
+		if ((rs->rs_rate & 0x7f) > 76) {
+			printk("status0:%x\n",ads.ds_rxstatus0);
+			printk("status1:%x\n",ads.ds_rxstatus1);
+			printk("status2:%x\n",ads.ds_rxstatus2);
+			printk("status3:%x\n",ads.ds_rxstatus3);
+			printk("status4:%x\n",ads.ds_rxstatus4);
+			printk("status5:%x\n",ads.ds_rxstatus5);
+			printk("status6:%x\n",ads.ds_rxstatus6);
+			printk("status7:%x\n",ads.ds_rxstatus7);
+			printk("status8:%x\n",ads.ds_rxstatus8);
+		}
+	}
+
 	if (ads.ds_rxstatus8 & AR_PreDelimCRCErr)
 		rs->rs_flags |= ATH9K_RX_DELIM_CRC_PRE;
 	if (ads.ds_rxstatus8 & AR_PostDelimCRCErr)
@@ -609,12 +624,14 @@
 			rs->rs_status |= ATH9K_RXERR_PHY;
 			phyerr = MS(ads.ds_rxstatus8, AR_PHYErrCode);
 			rs->rs_phyerr = phyerr;
-		} else if (ads.ds_rxstatus8 & AR_CRCErr)
+		} else if (ads.ds_rxstatus8 & AR_CRCErr) {
 			rs->rs_status |= ATH9K_RXERR_CRC;
-		else if (ads.ds_rxstatus8 & AR_DecryptCRCErr)
+		} else if (ads.ds_rxstatus8 & AR_DecryptCRCErr) {
 			rs->rs_status |= ATH9K_RXERR_DECRYPT;
-		else if (ads.ds_rxstatus8 & AR_MichaelErr)
+		}
+		else if (ads.ds_rxstatus8 & AR_MichaelErr) {
 			rs->rs_status |= ATH9K_RXERR_MIC;
+		}
 	} else {
 		if (ads.ds_rxstatus8 &
 		    (AR_CRCErr | AR_PHYErr | AR_DecryptCRCErr | AR_MichaelErr))

comment:136 Changed 4 years ago by mihaivo

I have been getting notifications from this ticket for 2 years and I can't turn them off. Someone please remove my mihaivo@ email from this ticket.

Thank you

comment:137 in reply to: ↑ 133 Changed 4 years ago by wrt160nl

Replying to comment 133 by anonymous:

I've been trying versions and patches for more than 3 years now (comment 29 is mine). The "fun" has worn out.

I almost exclusively use Linux at home. So please don't preach to me about free software.

I'm well passed been angry with the devs, the left over anger is with the producers (I will not ever buy routers\nas\usb wifi cards\phones\anything else that is not compatible with Linux).

Older hardware bugs lose importance. That is just a fact of life.

Good luck with your bounty system (I would rather buy new hardware with that money than donate it to get old hardware -that most users will replace soon anyway- working).

I pray that these bugs get fixed, but the ugly truth is that they most probably won't be. Despite your enthusiasm ...

comment:138 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

comment:139 Changed 4 years ago by victor.quicksilver@…

Some debugging info...

[303945.230000] status0:ce10800b
[303945.230000] status1:a41423d3
[303945.240000] status2:0
[303945.240000] status3:0
[303945.240000] status4:0
[303945.240000] status5:0
[303945.240000] status6:0
[303945.250000] status7:0
[303945.250000] status8:e143f5d
[469818.340000] status0:cf0a800a
[469818.350000] status1:2f6
[469818.350000] status2:1505f87a
[469818.350000] status3:100
[469818.360000] status4:15059f00
[469818.360000] status5:100
[469818.360000] status6:e808080
[469818.360000] status7:80808080
[469818.370000] status8:60005
[480743.250000] status0:cf05800a
[480743.250000] status1:ca77a0c7
[480743.250000] status2:0
[480743.250000] status3:0
[480743.260000] status4:0
[480743.260000] status5:0
[480743.260000] status6:0
[480743.260000] status7:0
[480743.270000] status8:ef12ec27
[531870.600000] status0:cf0b800e
[531870.600000] status1:1ce70010
[531870.600000] status2:1bf1cc75
[531870.610000] status3:9addde2
[531870.610000] status4:17025ce9
[531870.610000] status5:95b0d1
[531870.620000] status6:8326f918
[531870.620000] status7:ee538c0f
[531870.620000] status8:d13a6761
[531870.620000] ------------[ cut here ]------------
[531870.630000] WARNING: at /mnt/tempwork/openwrt/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2014-05-22/net/mac80211/rx.c:3372 ieee80211_rx+0x13c/0x7f8 [mac80211]()
[531870.650000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[531870.660000] Modules linked in: ifb ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath rndis_host pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv4 mac80211 ipt_MASQUERADE cfg80211 cdc_ether xt_time xt_tcpudp xt_tcpmss xt_string xt_statistic xt_state xt_recent xt_nat xt_multiport xt_mark xt_mac xt_limit xt_length xt_hl xt_helper xt_ecn xt_dscp xt_conntrack xt_connmark xt_connlimit xt_connbytes xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_HL xt_DSCP xt_CT xt_CLASSIFY usbnet ts_kmp ts_fsm ts_bm slhc nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv4 nf_conntrack_irc nf_conntrack_ftp iptable_raw iptable_mangle iptable_filter ipt_REJECT ipt_ECN ip_tables crc_ccitt compat em_cmp sch_teql em_nbyte sch_dsmark sch_codel sch_gred sch_htb act_ipt sch_red sch_prio em_meta act_police em_text sch_tbf sch_sfq cls_basic act_connmark act_skbedit act_mirred em_u32 cls_u32 cls_tcindex cls_flow cls_route cls_fw sch_hfsc sch_ingress ip6t_REJECT ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables nf_conntrack_ipv6 nf_conntrack nf_defrag_ipv6 ipv6 arc4 crypto_blkcipher ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common [last unloaded: ifb]
[531870.760000] CPU: 0 PID: 0 Comm: swapper Not tainted 3.10.44 #4
[531870.770000] Stack : 00000000 00000000 00000000 00000000 80362eba 00000032 80313498 80ee9d70
[531870.770000] 802c4e40 8031321b 00000000 80362664 80313498 80ee9d70 000000dd 80d786d8
[531870.770000] 80380000 80078f70 00000003 800769f0 80e4b2ec 80ee9d70 802c6700 8030dbac
[531870.770000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[531870.770000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 8030db38
[531870.770000] ...
[531870.800000] Call Trace:
[531870.800000] [<8006e23c>] show_stack+0x48/0x70
[531870.810000] [<80076aec>] warn_slowpath_common+0x78/0xa8
[531870.810000] [<80076b48>] warn_slowpath_fmt+0x2c/0x38
[531870.820000] [<80e1f278>] ieee80211_rx+0x13c/0x7f8 [mac80211]
[531870.830000] [<80e66410>] ath_rx_tasklet+0x96c/0x9b8 [ath9k]
[531870.830000] [<80e63cd0>] ath9k_tasklet+0x1ac/0x230 [ath9k]
[531870.840000] [<8007e0a8>] tasklet_action+0x84/0xcc
[531870.840000] [<8007d8a4>] do_softirq+0xd0/0x1bc
[531870.850000] [<8007da30>] do_softirq+0x48/0x68
[531870.850000] [<8007dc64>] irq_exit+0x54/0x70
[531870.860000] [<80060830>] ret_from_irq+0x0/0x4
[531870.860000] [<80060a80>]
r4k_wait+0x20/0x40
[531870.860000] [<8009ef0c>] cpu_startup_entry+0xa4/0x104
[531870.870000] [<80329910>] start_kernel+0x38c/0x3a4
[531870.870000]
[531870.880000] ---[ end trace e40bfb4d9f17a78b ]---
[556398.710000] status0:cf08800b
[556398.720000] status1:3955c276
[556398.720000] status2:e35198eb
[556398.720000] status3:42fcdabe
[556398.730000] status4:9fa7292d
[556398.730000] status5:bed89633
[556398.730000] status6:faafbe65
[556398.740000] status7:19f2ed99
[556398.740000] status8:f9a76c07
[561013.410000] status0:ce07800e
[561013.410000] status1:bf720f7
[561013.420000] status2:0
[561013.420000] status3:0
[561013.420000] status4:0
[561013.420000] status5:0
[561013.430000] status6:0
[561013.430000] status7:0
[561013.430000] status8:9625022b
[774828.540000] eth1: link down
[774829.540000] ar71xx: pll_reg 0xb8050018: 0x13000a44
[774829.540000] eth1: link up (100Mbps/Full duplex)
[774849.540000] eth1: link down
[774851.540000] ar71xx: pll_reg 0xb8050018: 0x13000a44
[774851.540000] eth1: link up (100Mbps/Full duplex)
[907579.860000] status0:cd028008
[907579.860000] status1:76cc23bc
[907579.870000] status2:0
[907579.870000] status3:0
[907579.870000] status4:0
[907579.870000] status5:0
[907579.880000] status6:0
[907579.880000] status7:0
[907579.880000] status8:81870d99
[933166.820000] status0:cd098001
[933166.830000] status1:a91e01e9
[933166.830000] status2:71194de8
[933166.830000] status3:92b06869
[933166.830000] status4:6e18d15d
[933166.840000] status5:91c6cf8a
[933166.840000] status6:a4b34c3b
[933166.840000] status7:a2c585e7
[933166.850000] status8:677f633d
[1110679.960000] status0:cfff800e
[1110679.960000] status1:9fb7208d
[1110679.960000] status2:0
[1110679.960000] status3:0
[1110679.970000] status4:0
[1110679.970000] status5:0
[1110679.970000] status6:0
[1110679.970000] status7:0
[1110679.980000] status8:68ccfd2b

comment:140 Changed 4 years ago by dphi <philipp@…>

openwrt                 : 14.07-rc2
system type		: Atheros AR9341 rev 3
machine			: TP-LINK TL-WR841N/ND v8
[45285.350000] WARNING: at openwrt-1407/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2014-05-22/net/mac80211/rx.c:3372 ieee80211_rx+0x13c/0x7f8 [mac80211]()
[45285.370000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 127 (0x7f)
[45285.380000] Modules linked in: ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv4 mac80211 ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT slhc nf_nat_irc nf_nat_ftp nf_nat nf_defrag_ipv4 nf_conntrack_irc nf_conntrack_ftp iptable_raw iptable_mangle iptable_filter ipt_REJECT ip_tables crc_ccitt compat ip6t_REJECT ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables nf_conntrack_ipv6 nf_conntrack nf_defrag_ipv6 ipv6 arc4 crypto_blkcipher gpio_button_hotplug
[45285.440000] CPU: 0 PID: 0 Comm: swapper Not tainted 3.10.49 #1
[45285.450000] Stack : 00000000 00000000 00000000 00000000 80362eba 00000032 80311498 80dddd70
[45285.450000] 	  802c1d48 8031121b 00000000 80362664 80311498 80dddd70 00000000 81618918
[45285.450000] 	  80380000 80079040 00000003 80076ac0 80d4b5ac 80dddd70 802c3608 8030bbac
[45285.450000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[45285.450000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 8030bb38
[45285.450000] 	  ...
[45285.480000] Call Trace:
[45285.480000] [<8006e294>] show_stack+0x48/0x70
[45285.490000] [<80076bbc>] warn_slowpath_common+0x78/0xa8
[45285.490000] [<80076c18>] warn_slowpath_fmt+0x2c/0x38
[45285.500000] [<80d1f298>] ieee80211_rx+0x13c/0x7f8 [mac80211]
[45285.510000] [<80d66440>] ath_rx_tasklet+0x98c/0x9d8 [ath9k]
[45285.510000] [<80d63ce0>] ath9k_tasklet+0x1ac/0x230 [ath9k]
[45285.520000] [<8007e178>] tasklet_action+0x84/0xcc
[45285.520000] [<8007d974>] __do_softirq+0xd0/0x1bc
[45285.530000] [<8007db00>] do_softirq+0x48/0x68
[45285.530000] [<8007dd34>] irq_exit+0x54/0x70
[45285.540000] [<80060830>] ret_from_irq+0x0/0x4
[45285.540000] [<8006b8e0>] r4k_wait_irqoff+0x18/0x1c
[45285.550000] [<8009efe8>] cpu_startup_entry+0xa4/0x104
[45285.550000] [<80327910>] start_kernel+0x38c/0x3a4
[45285.560000] 
[45285.560000] ---[ end trace 780f0b530f266529 ]---

comment:141 Changed 3 years ago by anonymous

Just noticed this has occurred on my Netgear WNDR3800 running 14.07 rc-1. I recently enable HT / 40Mhz on channel 1, and have been getting TX/RX rates reported at >150 Mbps (300Mbps in some cases IIRC).

[180184.690000] ------------[ cut here ]------------
[180184.690000] WARNING: at /BB/build/ar71xx/generic/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2014-05-22/net/mac80211/rx.c:3372 ieee80211_rx+0x13c/0x7f8 [mac80211]()
[180184.710000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 114 (0x72)
[180184.720000] Modules linked in: ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_pptp nf_nat_ipv4 nf_nat_amanda nf_conntrack_pptp nf_conntrack_ipv4 nf_conntrack_amanda mac80211 ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT ts_kmp ts_fsm ts_bm slhc nf_nat_tftp nf_nat_snmp_basic nf_nat_sip nf_nat_proto_gre nf_nat_irc nf_nat_h323 nf_nat_ftp nf_nat nf_defrag_ipv4 nf_conntrack_tftp nf_conntrack_snmp nf_conntrack_sip nf_conntrack_proto_gre nf_conntrack_irc nf_conntrack_h323 nf_conntrack_ftp nf_conntrack_broadcast iptable_raw iptable_mangle iptable_filter ipt_REJECT ip_tables crc_ccitt compat leds_wndr3700_usb ledtrig_usbdev ledtrig_heartbeat ip6t_REJECT ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables nf_conntrack_ipv6 nf_conntrack nf_defrag_ipv6 ipv6 arc4 crypto_blkcipher ohci_hcd ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common
[180184.810000] CPU: 0 PID: 0 Comm: swapper Not tainted 3.10.44 #3
[180184.820000] Stack : 00000000 00000000 00000000 00000000 80392eba 00000032 80333658 872f9d70
[180184.820000] 	  802e373c 803333db 00000000 80392664 80333658 872f9d70 00000019 87275198
[180184.820000] 	  803b0000 80078fac 00000003 80076a2c 8724b35c 872f9d70 802e4ffc 8032dbac
[180184.820000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[180184.820000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 8032db38
[180184.820000] 	  ...
[180184.850000] Call Trace:
[180184.860000] [<8006e278>] show_stack+0x48/0x70
[180184.860000] [<80076b28>] warn_slowpath_common+0x78/0xa8
[180184.860000] [<80076b84>] warn_slowpath_fmt+0x2c/0x38
[180184.870000] [<8721f278>] ieee80211_rx+0x13c/0x7f8 [mac80211]
[180184.880000] [<872e6410>] ath_rx_tasklet+0x96c/0x9b8 [ath9k]
[180184.880000] [<872e3cd0>] ath9k_tasklet+0x1ac/0x230 [ath9k]
[180184.890000] [<8007e0e4>] tasklet_action+0x84/0xcc
[180184.890000] [<8007d8e0>] __do_softirq+0xd0/0x1bc
[180184.900000] [<8007da6c>] do_softirq+0x48/0x68
[180184.900000] [<8007dca0>] irq_exit+0x54/0x70
[180184.910000] [<80060830>] ret_from_irq+0x0/0x4
[180184.910000] [<80060a80>] __r4k_wait+0x20/0x40
[180184.910000] [<8009f124>] cpu_startup_entry+0xa4/0x104
[180184.920000] [<8034a918>] start_kernel+0x394/0x3ac
[180184.920000] 
[180184.930000] ---[ end trace 51822329e95779a0 ]---

comment:142 Changed 2 years ago by vkstykov@…

I recently upgraded to Chaos Calmer 15.05 and I see the same message. I'm not sire if it is related to my wireless problems. I'm with TP-Link TP-WR1043ND.

[1444432.260000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42100020 DMADBG_7=0x000286c0
[1456292.130000] ------------[ cut here ]------------
[1456292.130000] WARNING: CPU: 0 PID: 0 at /home/buildbot/slave-local/ar71xx_generic/build/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2015-03-09/net/mac80211/rx.c:3570 0x80e211e4 [mac80211@80e00000+0x58810]()
[1456292.160000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 78 (0x4e)
[1456292.170000] Modules linked in: nf_nat_irc nf_conntrack_irc nf_nat_tftp nf_conntrack_tftp nf_nat_snmp_basic nf_conntrack_snmp nf_nat_sip nf_conntrack_sip nf_nat_pptp nf_conntrack_pptp nf_nat_h323 nf_conntrack_h323 nf_nat_proto_gre nf_conntrack_proto_gre nf_nat_amanda nf_conntrack_amanda nf_conntrack_broadcast ts_fsm ts_bm ts_kmp ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv6 nf_conntrack_ipv4 mac80211 ipt_REJECT ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_tcpmss xt_statistic xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_length xt_id xt_hl xt_ecn xt_dscp xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_HL xt_DSCP xt_CT xt_CLASSIFY slhc nf_reject_ipv4 nf_nat_masquerade_ipv4 nf_nat_ftp nf_nat nf_log_ipv4 nf_defrag_ipv6 nf_defrag_ipv4 nf_conntrack_rtcache nf_conntrack_ftp nf_conntrack iptable_raw iptable_mangle iptable_filter ipt_ECN ip_tables crc_ccitt compat ledtrig_usbdev ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 nf_log_common ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables ipv6 arc4 crypto_blkcipher ohci_platform ohci_hcd ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common
[1456292.270000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W      3.18.20 #1
[1456292.280000] Stack : 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[1456292.280000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[1456292.280000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[1456292.280000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[1456292.280000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[1456292.280000] 	  ...
[1456292.320000] Call Trace:[<80070c54>] 0x80070c54
[1456292.320000] [<80070c54>] 0x80070c54
[1456292.320000] [<80e211e4>] 0x80e211e4 [mac80211@80e00000+0x58810]
[1456292.330000] [<800800c4>] 0x800800c4
[1456292.330000] [<80e211e4>] 0x80e211e4 [mac80211@80e00000+0x58810]
[1456292.340000] [<80080120>] 0x80080120
[1456292.340000] [<802388c0>] 0x802388c0
[1456292.350000] [<80e211e4>] 0x80e211e4 [mac80211@80e00000+0x58810]
[1456292.350000] [<80238a50>] 0x80238a50
[1456292.360000] [<80d74370>] 0x80d74370 [ath9k_common@80d74000+0x3d90]
[1456292.360000] [<80233944>] 0x80233944
[1456292.370000] [<80cc6354>] 0x80cc6354 [ath9k@80cc0000+0x146f0]
[1456292.370000] [<80098df8>] 0x80098df8
[1456292.380000] [<80cc3dd0>] 0x80cc3dd0 [ath9k@80cc0000+0x146f0]
[1456292.380000] [<800a4d50>] 0x800a4d50
[1456292.390000] [<80082cb4>] 0x80082cb4
[1456292.390000] [<800825c4>] 0x800825c4
[1456292.390000] [<800a78a4>] 0x800a78a4
[1456292.400000] [<80082930>] 0x80082930
[1456292.400000] [<80060830>] 0x80060830
[1456292.410000] [<8006de14>] 0x8006de14
[1456292.410000] [<8009f310>] 0x8009f310
[1456292.410000] [<80060a80>] 0x80060a80
[1456292.420000] [<800651f8>] 0x800651f8
[1456292.420000] [<80368aac>] 0x80368aac
[1456292.420000] [<80368354>] 0x80368354
[1456292.430000] 
[1456292.430000] ---[ end trace ac5f2b224aff7e87 ]---
[1543620.960000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42100020 DMADBG_7=0x000286c0
[1595907.280000] ------------[ cut here ]------------
[1595907.280000] WARNING: CPU: 0 PID: 0 at /home/buildbot/slave-local/ar71xx_generic/build/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2015-03-09/net/mac80211/rx.c:3570 0x80e211e4 [mac80211@80e00000+0x58810]()
[1595907.300000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[1595907.310000] Modules linked in: nf_nat_irc nf_conntrack_irc nf_nat_tftp nf_conntrack_tftp nf_nat_snmp_basic nf_conntrack_snmp nf_nat_sip nf_conntrack_sip nf_nat_pptp nf_conntrack_pptp nf_nat_h323 nf_conntrack_h323 nf_nat_proto_gre nf_conntrack_proto_gre nf_nat_amanda nf_conntrack_amanda nf_conntrack_broadcast ts_fsm ts_bm ts_kmp ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv6 nf_conntrack_ipv4 mac80211 ipt_REJECT ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_tcpmss xt_statistic xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_length xt_id xt_hl xt_ecn xt_dscp xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_HL xt_DSCP xt_CT xt_CLASSIFY slhc nf_reject_ipv4 nf_nat_masquerade_ipv4 nf_nat_ftp nf_nat nf_log_ipv4 nf_defrag_ipv6 nf_defrag_ipv4 nf_conntrack_rtcache nf_conntrack_ftp nf_conntrack iptable_raw iptable_mangle iptable_filter ipt_ECN ip_tables crc_ccitt compat ledtrig_usbdev ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 nf_log_common ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables ipv6 arc4 crypto_blkcipher ohci_platform ohci_hcd ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common
[1595907.420000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W      3.18.20 #1
[1595907.430000] Stack : 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[1595907.430000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[1595907.430000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[1595907.430000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[1595907.430000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[1595907.430000] 	  ...
[1595907.460000] Call Trace:[<80070c54>] 0x80070c54
[1595907.470000] [<80070c54>] 0x80070c54
[1595907.470000] [<80e211e4>] 0x80e211e4 [mac80211@80e00000+0x58810]
[1595907.480000] [<800800c4>] 0x800800c4
[1595907.480000] [<80e211e4>] 0x80e211e4 [mac80211@80e00000+0x58810]
[1595907.490000] [<80080120>] 0x80080120
[1595907.490000] [<802388c0>] 0x802388c0
[1595907.500000] [<80e211e4>] 0x80e211e4 [mac80211@80e00000+0x58810]
[1595907.500000] [<80238a50>] 0x80238a50
[1595907.510000] [<80d74370>] 0x80d74370 [ath9k_common@80d74000+0x3d90]
[1595907.510000] [<80233944>] 0x80233944
[1595907.520000] [<80cc6354>] 0x80cc6354 [ath9k@80cc0000+0x146f0]
[1595907.520000] [<80098df8>] 0x80098df8
[1595907.530000] [<80cc3dd0>] 0x80cc3dd0 [ath9k@80cc0000+0x146f0]
[1595907.530000] [<800a4d50>] 0x800a4d50
[1595907.540000] [<80082cb4>] 0x80082cb4
[1595907.540000] [<800825c4>] 0x800825c4
[1595907.540000] [<800a78a4>] 0x800a78a4
[1595907.550000] [<80082930>] 0x80082930
[1595907.550000] [<80060830>] 0x80060830
[1595907.550000] [<8009c9b0>] 0x8009c9b0
[1595907.560000] [<8006de14>] 0x8006de14
[1595907.560000] [<8009f310>] 0x8009f310
[1595907.560000] [<80060a80>] 0x80060a80
[1595907.570000] [<800651f8>] 0x800651f8
[1595907.570000] [<80368aac>] 0x80368aac
[1595907.580000] [<80368354>] 0x80368354
[1595907.580000] 
[1595907.580000] ---[ end trace ac5f2b224aff7e88 ]---
[1607194.900000] ------------[ cut here ]------------
[1607194.900000] WARNING: CPU: 0 PID: 0 at /home/buildbot/slave-local/ar71xx_generic/build/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2015-03-09/net/mac80211/rx.c:3570 0x80e211e4 [mac80211@80e00000+0x58810]()
[1607194.930000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[1607194.940000] Modules linked in: nf_nat_irc nf_conntrack_irc nf_nat_tftp nf_conntrack_tftp nf_nat_snmp_basic nf_conntrack_snmp nf_nat_sip nf_conntrack_sip nf_nat_pptp nf_conntrack_pptp nf_nat_h323 nf_conntrack_h323 nf_nat_proto_gre nf_conntrack_proto_gre nf_nat_amanda nf_conntrack_amanda nf_conntrack_broadcast ts_fsm ts_bm ts_kmp ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv6 nf_conntrack_ipv4 mac80211 ipt_REJECT ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_tcpmss xt_statistic xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_length xt_id xt_hl xt_ecn xt_dscp xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_HL xt_DSCP xt_CT xt_CLASSIFY slhc nf_reject_ipv4 nf_nat_masquerade_ipv4 nf_nat_ftp nf_nat nf_log_ipv4 nf_defrag_ipv6 nf_defrag_ipv4 nf_conntrack_rtcache nf_conntrack_ftp nf_conntrack iptable_raw iptable_mangle iptable_filter ipt_ECN ip_tables crc_ccitt compat ledtrig_usbdev ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 nf_log_common ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables ipv6 arc4 crypto_blkcipher ohci_platform ohci_hcd ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common
[1607195.040000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W      3.18.20 #1
[1607195.050000] Stack : 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[1607195.050000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[1607195.050000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[1607195.050000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[1607195.050000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[1607195.050000] 	  ...
[1607195.090000] Call Trace:[<80070c54>] 0x80070c54
[1607195.090000] [<80070c54>] 0x80070c54
[1607195.090000] [<80e211e4>] 0x80e211e4 [mac80211@80e00000+0x58810]
[1607195.100000] [<800800c4>] 0x800800c4
[1607195.100000] [<80e211e4>] 0x80e211e4 [mac80211@80e00000+0x58810]
[1607195.110000] [<80080120>] 0x80080120
[1607195.110000] [<802388c0>] 0x802388c0
[1607195.120000] [<80e211e4>] 0x80e211e4 [mac80211@80e00000+0x58810]
[1607195.120000] [<802361a0>] 0x802361a0
[1607195.130000] [<80233944>] 0x80233944
[1607195.130000] [<80cc6354>] 0x80cc6354 [ath9k@80cc0000+0x146f0]
[1607195.140000] [<80cc3dd0>] 0x80cc3dd0 [ath9k@80cc0000+0x146f0]
[1607195.140000] [<800a4d50>] 0x800a4d50
[1607195.150000] [<80082cb4>] 0x80082cb4
[1607195.150000] [<800825c4>] 0x800825c4
[1607195.150000] [<800a78a4>] 0x800a78a4
[1607195.160000] [<80082930>] 0x80082930
[1607195.160000] [<80060830>] 0x80060830
[1607195.170000] [<8009c9b0>] 0x8009c9b0
[1607195.170000] [<8006de14>] 0x8006de14
[1607195.170000] [<8009f310>] 0x8009f310
[1607195.180000] [<80060a80>] 0x80060a80
[1607195.180000] [<800651f8>] 0x800651f8
[1607195.180000] [<80368aac>] 0x80368aac
[1607195.190000] [<80368354>] 0x80368354
[1607195.190000] 
[1607195.190000] ---[ end trace ac5f2b224aff7e89 ]---
[2161119.870000] ------------[ cut here ]------------
[2161119.880000] WARNING: CPU: 0 PID: 0 at /home/buildbot/slave-local/ar71xx_generic/build/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2015-03-09/net/mac80211/rx.c:3570 0x80e211e4 [mac80211@80e00000+0x58810]()
[2161119.900000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 79 (0x4f)
[2161119.910000] Modules linked in: nf_nat_irc nf_conntrack_irc nf_nat_tftp nf_conntrack_tftp nf_nat_snmp_basic nf_conntrack_snmp nf_nat_sip nf_conntrack_sip nf_nat_pptp nf_conntrack_pptp nf_nat_h323 nf_conntrack_h323 nf_nat_proto_gre nf_conntrack_proto_gre nf_nat_amanda nf_conntrack_amanda nf_conntrack_broadcast ts_fsm ts_bm ts_kmp ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv6 nf_conntrack_ipv4 mac80211 ipt_REJECT ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_tcpmss xt_statistic xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_length xt_id xt_hl xt_ecn xt_dscp xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_HL xt_DSCP xt_CT xt_CLASSIFY slhc nf_reject_ipv4 nf_nat_masquerade_ipv4 nf_nat_ftp nf_nat nf_log_ipv4 nf_defrag_ipv6 nf_defrag_ipv4 nf_conntrack_rtcache nf_conntrack_ftp nf_conntrack iptable_raw iptable_mangle iptable_filter ipt_ECN ip_tables crc_ccitt compat ledtrig_usbdev ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 nf_log_common ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables ipv6 arc4 crypto_blkcipher ohci_platform ohci_hcd ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common
[2161120.020000] CPU: 0 PID: 0 Comm: swapper Tainted: G        W      3.18.20 #1
[2161120.020000] Stack : 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[2161120.020000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[2161120.020000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[2161120.020000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[2161120.020000] 	  00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[2161120.020000] 	  ...
[2161120.060000] Call Trace:[<80070c54>] 0x80070c54
[2161120.060000] [<80070c54>] 0x80070c54
[2161120.070000] [<80e211e4>] 0x80e211e4 [mac80211@80e00000+0x58810]
[2161120.070000] [<800800c4>] 0x800800c4
[2161120.080000] [<80e211e4>] 0x80e211e4 [mac80211@80e00000+0x58810]
[2161120.080000] [<80080120>] 0x80080120
[2161120.090000] [<802388c0>] 0x802388c0
[2161120.090000] [<80e211e4>] 0x80e211e4 [mac80211@80e00000+0x58810]
[2161120.100000] [<80238a50>] 0x80238a50
[2161120.100000] [<80d74370>] 0x80d74370 [ath9k_common@80d74000+0x3d90]
[2161120.110000] [<80cc6354>] 0x80cc6354 [ath9k@80cc0000+0x146f0]
[2161120.110000] [<80098df8>] 0x80098df8
[2161120.120000] [<80cc3dd0>] 0x80cc3dd0 [ath9k@80cc0000+0x146f0]
[2161120.120000] [<800a4d50>] 0x800a4d50
[2161120.130000] [<80082cb4>] 0x80082cb4
[2161120.130000] [<800825c4>] 0x800825c4
[2161120.130000] [<800a78a4>] 0x800a78a4
[2161120.140000] [<80082930>] 0x80082930
[2161120.140000] [<80060830>] 0x80060830
[2161120.140000] [<8006de14>] 0x8006de14
[2161120.150000] [<8009f310>] 0x8009f310
[2161120.150000] [<80060a80>] 0x80060a80
[2161120.160000] [<800651f8>] 0x800651f8
[2161120.160000] [<80368aac>] 0x80368aac
[2161120.160000] [<80368354>] 0x80368354
[2161120.170000] 
[2161120.170000] ---[ end trace ac5f2b224aff7e8a ]---

comment:143 Changed 2 years ago by anonymous

I'm getting also AR_CR=0x00000024 AR_DIAG_SW=0x42100020 DMADBG_7=0x000286c0 but no trace, just the single kernel line:

[16671.640000] ath: phy0: DMA failed to stop in 10 ms AR_CR=0x00000024 AR_DIAG_SW=0x42100020 DMADBG_7=0x000286c0

TP-LINK TL-WR1043ND

comment:144 Changed 2 years ago by anonymous

using OpenWrt Chaos Calmer 15.05

comment:145 Changed 2 years ago by anonymous

Using Chaos Calmer 15.05 on Buffalo WZR-HP-G300NH (v1)/

[90007.650000] ------------[ cut here ]------------
[90007.660000] WARNING: CPU: 0 PID: 0 at /home/buildbot/slave-local/ar71xx_generic/build/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2015-03-09/net/mac80211/rx.c:3570 0x832211e4 [mac80211@83200000+0x58810]()
[90007.680000] Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 115 (0x73)
[90007.690000] Modules linked in: ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv6 nf_conntrack_ipv4 mac80211 ipt_REJECT ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_state xt_nat xt_multiport xt_mark xt_mac xt_limit xt_id xt_conntrack xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_CT slhc nf_reject_ipv4 nf_nat_masquerade_ipv4 nf_nat_ftp nf_nat nf_log_ipv4 nf_defrag_ipv6 nf_defrag_ipv4 nf_conntrack_rtcache nf_conntrack_ftp nf_conntrack iptable_raw iptable_mangle iptable_filter ip_tables crc_ccitt compat ledtrig_usbdev ip6t_REJECT nf_reject_ipv6 nf_log_ipv6 nf_log_common ip6table_raw ip6table_mangle ip6table_filter ip6_tables x_tables sit tunnel4 ip_tunnel ipv6 arc4 crypto_blkcipher ohci_platform ohci_hcd ehci_platform ehci_hcd gpio_button_hotplug usbcore nls_base usb_common
[90007.760000] CPU: 0 PID: 0 Comm: swapper Not tainted 3.18.20 #1
[90007.770000] Stack : 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[90007.770000]    00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[90007.770000]    00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[90007.770000]    00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[90007.770000]    00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
[90007.770000]    ...
[90007.800000] Call Trace:[<80070c54>] 0x80070c54
[90007.810000] [<80070c54>] 0x80070c54
[90007.810000] [<832211e4>] 0x832211e4 [mac80211@83200000+0x58810]
[90007.820000] [<800800c4>] 0x800800c4
[90007.820000] [<832211e4>] 0x832211e4 [mac80211@83200000+0x58810]
[90007.830000] [<80080120>] 0x80080120
[90007.830000] [<802388c0>] 0x802388c0
[90007.830000] [<832211e4>] 0x832211e4 [mac80211@83200000+0x58810]
[90007.840000] [<80238a50>] 0x80238a50
[90007.840000] [<83278370>] 0x83278370 [ath9k_common@83278000+0x3d90]
[90007.850000] [<832e6354>] 0x832e6354 [ath9k@832e0000+0x146f0]
[90007.850000] [<832e3dd0>] 0x832e3dd0 [ath9k@832e0000+0x146f0]
[90007.860000] [<800a4d50>] 0x800a4d50
[90007.860000] [<80082cb4>] 0x80082cb4
[90007.870000] [<800825c4>] 0x800825c4
[90007.870000] [<800a78a4>] 0x800a78a4
[90007.870000] [<80082930>] 0x80082930
[90007.880000] [<80060830>] 0x80060830
[90007.880000] [<8009c9b0>] 0x8009c9b0
[90007.880000] [<8006de14>] 0x8006de14
[90007.890000] [<8009f310>] 0x8009f310
[90007.890000] [<80060a80>] 0x80060a80
[90007.900000] [<800651f8>] 0x800651f8
[90007.900000] [<80368aac>] 0x80368aac
[90007.900000] [<80368354>] 0x80368354
[90007.910000]
[90007.910000] ---[ end trace 504dd7bbbf32da30 ]---

comment:146 Changed 23 months ago by mbuyer@…

Model TP-LINK TL-WR703N v1
Firmware Version OpenWrt Chaos Calmer 15.05 / LuCI (git-15.248.30277-3836b45)


Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.430000] ------------[ cut here ]------------
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.430000] WARNING: CPU: 0 PID: 20857 at /home/buildbot/slave-local/ar71xx_generic/build/build_dir/target-mips_34kc_uClibc-0.9.33.2/linux-ar71xx_generic/compat-wireless-2015-03-09/net/mac80211/agg-tx.c:746 0x8330c548 [mac80211@83300000+0x58810]()
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.450000] Modules linked in: ifb ath9k ath9k_common pppoe ppp_async iptable_nat ath9k_hw ath pppox ppp_generic nf_nat_ipv4 nf_conntrack_ipv6 nf_conntrack_ipv4 mac80211 ipt_REJECT ipt_MASQUERADE cfg80211 xt_time xt_tcpudp xt_tcpmss xt_statistic xt_state xt_recent xt_nat xt_multiport xt_mark xt_mac xt_limit xt_length xt_id xt_hl xt_helper xt_ecn xt_dscp xt_conntrack xt_connmark xt_connlimit xt_connbytes xt_comment xt_TCPMSS xt_REDIRECT xt_LOG xt_HL xt_DSCP xt_Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.560000] CPU: 0 PID: 20857 Comm: kworker/u2:1 Tainted: G W 3.18.20 #1
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.560000] Workqueue: phy0 0x833113ac [mac80211@83300000+0x58810]
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.570000] Stack : 00000001 00000000 82f50780 802f65a0 00000000 00000000 00000000 00000000
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.570000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.570000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.570000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.570000] 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.570000] ...
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.610000] Call Trace:[<80070c54>] 0x80070c54
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.610000] [<80070c54>] 0x80070c54
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.610000] [<8330c548>] 0x8330c548 [mac80211@83300000+0x58810]
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.620000] [<800800c4>] 0x800800c4
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.620000] [<8330c548>] 0x8330c548 [mac80211@83300000+0x58810]
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.630000] [<8008017c>] 0x8008017c
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.630000] [<8330c73c>] 0x8330c73c [mac80211@83300000+0x58810]
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.640000] [<8330c548>] 0x8330c548 [mac80211@83300000+0x58810]
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.650000] [<80233980>] 0x80233980
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.650000] [<83311460>] 0x83311460 [mac80211@83300000+0x58810]
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.660000] [<8330ad54>] 0x8330ad54 [mac80211@83300000+0x58810]
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.660000] [<80091868>] 0x80091868
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.660000] [<800666b0>] 0x800666b0
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.670000] [<8006de14>] 0x8006de14
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.670000] [<800923bc>] 0x800923bc
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.680000] [<8009210c>] 0x8009210c
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.680000] [<80095ab8>] 0x80095ab8
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.680000] [<8009971c>] 0x8009971c
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.690000] [<800959e0>] 0x800959e0
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.690000] [<80060878>] 0x80060878
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.690000]
Thu Mar 31 12:50:11 2016 kern.warn kernel: [223661.690000] ---[ end trace a41a8de2e20b06ac ]---

Add Comment

Modify Ticket

Action
as reopened .
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.